local _M = {}

--The NULL device IO/LEDs control parameters
_G.IOLED_OPTIONS = 
{
	WITH_FPGA = false,
	FPGA_DEV_ADDR = 0x00,
	WITH_FPGA_LEDS	= false,
	------
	RESET_PIN = 9,	--GPIO9
	------
	GPIO_LEDS = {
		["signal"] = 57,
		["running"] = 58
	},
	
	FPGA_LEDS = {},
	
	ROLLING_SEQ = { "signal", "running" },
	ROLLING_LANG_STATUS = {
		[0x01] = "BLINK",
		[0x04] = "BLINK",
		[0x00] = "BLINK"
	},
	
	ROLLING_MIN_NUMS = 2,	--How many leds at least show when rolling
	
	ACTION_STATUS = {
		["default"] = {
		},
	
		["restore"] = {
		},
	
		["reboot"] = {
		},
		
		["reset"] = {
		}
	},
	
	RESET_HOLD = 5000
}

function _M.Check(period_ms)
	--Nothing
end

-----------

return _M
