local checker = require "statusChecker"

local _M = {}

--The P1 device IO/LEDs control parameters
_G.IOLED_OPTIONS = 
{
	WITH_FPGA = false,	--With FPGA
	FPGA_DEV_ADDR = 0xf4,	--FPGA I2C device address
	WITH_FPGA_LEDS	= false,	--With FPGA LEDs
	------
	RESET_PIN = 9,	--GPIO9 as RESET button
	------
	GPIO_LEDS = {
	},
	------
	FPGA_LEDS = {
	},
	------
	--Rolling options: When pressed (but no arrived reset time) RESET button, rolling LEDs
	ROLLING_SEQ = {},
	
	ROLLING_LANG_STATUS = {
	},
	
	ROLLING_MIN_NUMS = 1,	--How many leds at least show when rolling (Multiple languages support should +1)
	------
	
	ACTION_STATUS = {
		["default"] = {
			["signal"] = "OFF",
			["wifi"] = "OFF",
			["stream"] = "OFF",
		},
	
		["restore"] = {
			["signal"] = "BLINK",
			["wifi"] = "BLINK",
			["stream"] = "BLINK",
		},
	
		["reboot"] = {
			["signal"] = "BLINK",
			["wifi"] = "BLINK",
			["stream"] = "BLINK",
		},
		
		["reset"] = {
			["signal"] = "BLINK",
			["wifi"] = "BLINK",
			["stream"] = "BLINK",
		}
	},
	
	RESET_HOLD = 5000	--Hold RESET button more than this value(milliseconds), should do restore factory action!
}

local ctrl_module = nil

function _M.Check(period_ms)
--	if not ctrl_module then
--		ctrl_module = require( "controlModule" )
--	end
end

-----------

return _M
