local args = {...}
local request = args[1]
if not request then
	error( "Invalid request argument passed!" )
end

return SVC_OK

--[==[ *ABSTRACT* The 'request' arguments:
{
	PTZConfiguration: (!)
	{
		Name: <char*> (!)
		UseCount: <int> (!)
		token: <char*> (!)
		NodeToken: <char*> (!)
		DefaultAbsolutePantTiltPositionSpace: <char*>
		DefaultAbsoluteZoomPositionSpace: <char*>
		DefaultRelativePanTiltTranslationSpace: <char*>
		DefaultRelativeZoomTranslationSpace: <char*>
		DefaultContinuousPanTiltVelocitySpace: <char*>
		DefaultContinuousZoomVelocitySpace: <char*>
		DefaultPTZSpeed: 
		{
			PanTilt: 
			{
				x: <float> (!)
				y: <float> (!)
				space: <char*>
			}
			Zoom: 
			{
				x: <float> (!)
				space: <char*>
			}
		}
		DefaultPTZTimeout: <LONG64*>
		PanTiltLimits: 
		{
			Range: (!)
			{
				URI: <char*> (!)
				XRange: (!)
				{
					Min: <float> (!)
					Max: <float> (!)
				}
				YRange: (!)
				{
					Min: <float> (!)
					Max: <float> (!)
				}
			}
		}
		ZoomLimits: 
		{
			Range: (!)
			{
				URI: <char*> (!)
				XRange: (!)
				{
					Min: <float> (!)
					Max: <float> (!)
				}
			}
		}
		Extension: 
		{
			__size: <int>
			__any: <_XML>
			PTControlDirection: 
			{
				EFlip: 
				{
					Mode: (!)
					(
						tt__EFlipMode__OFF: 0,
						tt__EFlipMode__ON: 1,
						tt__EFlipMode__Extended: 2,
					)
					__size: <int>
					__any: <_XML>
					__anyAttribute: <_XML>
				}
				Reverse: 
				{
					Mode: (!)
					(
						tt__ReverseMode__OFF: 0,
						tt__ReverseMode__ON: 1,
						tt__ReverseMode__AUTO: 2,
						tt__ReverseMode__Extended: 3,
					)
					__size: <int>
					__any: <_XML>
					__anyAttribute: <_XML>
				}
				Extension: 
				{
					__size: <int>
					__any: <_XML>
					__anyAttribute: <_XML>
				}
				__anyAttribute: <_XML>
			}
			Extension: 
			{
				__size: <int>
				__any: <_XML>
			}
		}
		__anyAttribute: <_XML>
	}
	ForcePersistence: (!)
	(
		xsd__boolean__false_: 0,
		xsd__boolean__true_: 1,
	)
}
]==]

--[==[ *ABSTRACT* The 'response' arguments:
{
	__SetConfigurationResponse_sequence: 
	{
	}
}
]==]

--NOTE: SVC_OK = 0, SVC_NOIMPL = 1

