
local cgilua = require "cgilua"
local rpc = require "kiloview.ringRpc"

local SAPI = SAPI or cgilua.SAPI
SAPI.Response.contenttype( "application/json; charset=utf-8" )

local x, r, _a = rpc.Call( "BUS.IRControl", "load-default", {} )
if x and r and r >= 0 then
	cgilua.put([[
	{
		"Result":200,
		"Status":"OK"	
	}
	]])
else
	cgilua.put([[
	{
		"Result":400,
		"Status":"ERROR: ]] .. (_a and _a["msg"] or "unknown") .. [["	
	}
	]])
end

