--Controller of streamlist
local _M = require( "controller.generic" )()
local cgilua = require "cgilua"

-------------- AJAX CALL ----------------
local function SaveParams( args )
	if not args or type(args) ~= "table" then
		return [[ {"Result":400, "Msg":"]] .. _M.langs.ERRMSG_INVALID_POST_ARGS .. [["}]]
	end

	local r,x = _M.MasterCall( "BUS.Set", args )
	if r and x then 
		return [[ {"Result":200, "Msg":"]] .. _M.langs.MSG_SAVE_DONE .. [["}]]
	else
		return [[ {"Result":400, "Msg":"]] .. _M.langs.MSG_SAVE_FAIL .. [["}]]
	end
end

-------------- AJAX CALL ----------------
_M.AjaxExport ("SaveParams", SaveParams, "json") 
---------------------------------------------

return _M
