--Controller of asource
local _M = require( "controller.generic" )()
local cgilua = require "cgilua"

---------- AJAX Call -----------

_M.GetList = function( )
	local r, x = _M.MasterCall( "ARP.GetList" )
	if r and x then 
		return x
	else
		return {}
	end
end

local function AddOne(ip, mac)
	local is_ok, skip = _M.MasterCall("ARP.AddOne", ip, mac)
	if is_ok and skip then
		return [[ {"Result":200, "Msg":"New ARP has been added."} ]]
	else
		return [[ {"Result":400, "Msg":"WRONG! Invalid arguments!"}]]
	end
end

local function DeleteOne(ip)
	local is_ok, skip = _M.MasterCall("ARP.DeleteOne", ip)
	if is_ok and skip then
		return [[ {"Result":200, "Msg":"Delete success."} ]]
	else
		return [[ {"Result":400, "Msg":"WRONG! Invalid arguments!"}]]
	end
end

--------------------------------
_M.AjaxExport  ("DeleteOne", DeleteOne, "json") 
_M.AjaxExport  ("AddOne", AddOne, "json") 
--------------------------------

return _M
