--Controller of onvifconfig
local _M = require( "controller.generic" )()
local cgilua = require "cgilua"

---------- AJAX Call -----------

local function SaveSet( args )
	if not args or type(args) ~= "table" then
		return [[ {"Result":400, "Msg":"]] .. _M.langs.ERRMSG_INVALID_POST_ARGS .. [["}]]
	end
	
	local r,cc,gets = _M.MasterCall( "BUS.Get", { ["webConfig.port"] = 80 } )
	if r and gets then
		if args["onvif.control.port"] and tonumber(args["onvif.control.port"]) == gets["webConfig.port"] then
			return [[ {"Result":400, "Msg":"]] .. _M.langs.ERRMSG_SAME_AS_WEBPORT .. [["}]]
		end
	end

	local r,x = _M.MasterCall( "BUS.Set", args )
	if r and x then 
		return [[ {"Result":200, "Msg":"]] .. _M.langs.MSG_SAVE_DONE .. [[","Refresh":1 }]]
	else
		return [[ {"Result":400, "Msg":"]] .. _M.langs.MSG_SAVE_FAIL .. [["}]]
	end
end

--------------------------------
_M.AjaxExport  ("SaveSet", SaveSet, "json") 
--------------------------------

return _M
