var LANG_ID = "jp";

var AJAX_MSG_400 = '操作失敗';
var AJAX_MSG_401 = 'ログイン失敗';
var AJAX_MSG_403 = 'アクセス権がありません';
var AJAX_MSG_404 = 'パラメータが正しくありません';
var AJAX_MSG_405 = '変更が拒否されました';
var AJAX_MSG_OTHER_ERROR = '不明なエラー - Error code:';
var AJAX_MSG_2XX = '操作は部分的に成功しました';

var HTTP_SUBMIT_ERROR = 'ネットワークが原因でリクエストに失敗しましｈた';
var HTTP_SUBMIT_REQUEST_ERROR = 'リクエストの送信に失敗しました';

var CONFIRM_RESTORE = '工場出荷時の値に設定を複弁しますか';
var CONFIRM_RESET = 'エンコーダをリセットしますか (約３秒かかります）';
var CONFIRM_REBOOT = 'エンコーダを再起動しますか (約１分かかります）';

var OPERATE_SUCCESS = '操作完了';
var SET_SUCCESS = '設定完了';
var ADD_USER_SUCCESS = 'ユーザ追加完了';

var CONFIRM_DEL_USER_PREFIX = 'ユーザ [';
var CONFIRM_DEL_USER_SURFIX = '] を削除しますか';

var REFRESH_AFTER_3SEC = '約３秒後にページが更新されます';
var REFRESH_AFTER_60SEC = '約１分後にページが更新されます';

var UNIT_PIXELS = 'Pixels (px)';
var UNIT_PERCENT_LESS_100 = '% （<=100% 必須）';
var UNIT_PERCENT_LESS_1600 = '% （<=1600% 必須）';

var CLIP_OK = 'クリップボードにコピーされました';
var CLIP_FAIL = 'クリップボードへのコピーに失敗しました';

//Validate tips
var	msgSuffix = {
		"jpn" : "Japanese only" ,
		"eng" : "English only" ,
		"chn" : "Chinese only",
		"mail" : "Bad e-mail format",
		"url" : "Bad URL format",
		"currency" : "Invalid currency format",
		"number" : "Numeric only",
		"int" : "Interger only",
		"tdouble" : "Double value",
		"username" :"No &gt;&lt;\"' and space",
		"password" : "No &gt;&lt;\"' and space",
		"safe" : "Invalid characters",
		"dbc" : "Invalid characters",
		"qq" : "Bad format",
		"date" : "Bad date format",
		"year" : "Invalid",
		"month" :"Invalid",
		"day" : "Invalid",
		"hour" : "Invalid",
		"minute" :"Invalid",
		"second" :"Invalid",
		"mobile" : "Invalid",
		"phone" : "Invalid",
		"zipcode" : "Invalid",
		"bodycard" : "Invalid",
		"ip" : "Bad IP format",
		"file": "Invalid",
		"image" : "Invalid",
		"word" : "Invalid",
		"eq": "Not match",
		"gt": "Not match",
		"gte": "Not match",
		"lt": "Not match",
		"lte": "Not match",
		"netmac":"The format is XX:XX:XX:XX:XX:XX",
		"fftext":"No &gt;&lt;\"' and space",
		"eq":"Not match",
		"datetime":"Bad date/time format",
		"sessionid":"No &gt;&lt;\"' and space"
	};
	