--Language package of index.
return {
	LANGUAGE_NAMES = {
		["cn"] = "중국어-간체",
		["tw"] = "중국어-번체",
		["en"] = "영어",
		["jp"] = "일본어",
		["kr"] = "한국어",
		["pt"] = "Portuguese",
	},

	DEFAULT_TITLE = "기기 관리",
	WELCOME = "환영합니다",
	LOGOUT = "로그 아웃",
	SETUP = "기기 정보",
	SYSTEM_INFO = "시스템 정보",
	VERSION_INFO = "버전 정보",
	HELP = "도움말",
	BASIC_SETTING = "기본 설정",
	DATETIME_SETTING = "지역 및 시간 설정",
	USERMAN = "사용자 관리",
	RESTORE_FACTORY = "공장초기화",
	FIRMWARE_UPGRADING = "펌웨어 업그레이드",
	AV_ADJUST = "비디오 및 오디오 조정",
	VIDEO_SOURCE = "비디오 소스 선택 및 조정",
	AUDIO_SOURCE = "오디오 소스 및 볼륨 조정",
	AUDIO_GAIN = "오디오 게인 조정",
	OSD_SETTING = "글자/이미지/시간 오버레이",
	OSD_SETTING2 = "글자/이미지/시간 오버레이",
	IMG_MAN = "오버레이 이미지 관리",
	NETWORK_SETTING = "네트워크 및 서비스 설정",
	NETMAN = "네트워크 인터페이스 관리",
	WEBCONFIG = "Web 설정",
	ONVIFCONFIG = "Onvif 설정",
	EASY_MAN = "쉬운 관리",
	TELNETCONFIG = "Telnet 설정",
	SETREBOOT="장비 유지 보수",
	
	--MEDIAPUB = "미디어퍼블리싱 설정",
	PLATFORM_CONN = "플랫폼 액세스 설정",

	ENCODER_SETTING = "인코더 설정",
	STREAM_SET = "스트리밍 설정",
	AUDIO_ENGINE = "오디오 인코딩 설정",
	SIP_SET = "SIP 설정",

	RECORD_SETTING = "녹화 설정",
	RECORD_OPTIONS = "녹화 옵션",
	RECORD_CONTROL = "녹화 컨트롤",

	NAS_MAN = "네트워크 스토리지(NAS)",

	SERIAL_PTZ_SETTING = "시리얼PTZ 포트",
	SERIAL_PTZ = "시리얼PTZ 설정",
	PTZ_PANEL = "PTZ 제어판",

	OVERLAY_SETTING = "오버레이 설정",
	QUICK_RESET = "빠른 재설정",
	LOGS_AND_DEBUG = "로그 및 디버깅",
	REBOOT_DEVICE = "기기 재시작",

	SYSTEM_STATUS = "시스템 상태",
	SERIAL_NO = "일련 번호: ",
	HW_VERSION = "하드웨어 버전: ",
	SW_VERSION = "소프트웨어 버전: ",
	FW_VERSION = "펌웨어 버전: ",
	
	CHANGE_MY_PASS = "비밀번호 변경",
	OK = "확인",
	CANCEL = "취소",
	PASSWORD = "새 비밀번호: ",
	CONFIRM_PASSWORD = "새 비밀번호 확인: ",
	PASSWORD_NO_MATCH = "비밀번호가 일치하지 않습니다.",
	INVALID_USER_OR_PASS = "사용자 이름 또는 비밀번호 오류, 비밀번호를 변경할 수 없습니다.",
	CHANGE_PASS_DONE = "비밀번호가 변경되었습니다！",
	CHANGE_PASS_FAIL = "비밀번호가 변경되지 않았습니다！",
	PRESETS = "프리셋 구성",
	SAVE_PRESET = "현재 구성 저장...",
	LOAD_PRESET = "프리셋 관리 또는 불러오기", 
	PRESET_NAME = "프리셋 이름: ",
	MY_PRESET = "내 프리셋",
	PRESET_DETAIL = "프리셋 정보: ",
	PRESET_NOTES = "<b>프리셋 정보：</b> 프리셋으로 현재 인코더의 구성 설정을 저장할 수 있으며 나중에 필요할 때 저장한 프리셋을 통해 기기의 설정을 빠르게 변경할 수 있습니다.<br />프리셋은 현재 비디오 및 오디오 인코딩 설정, 비디오 및 오디오 소스 설정만 저장하고 네트워크 설정, 사용자 이름 및 비밀번호, 스트리밍 미디어 서비스 설정 등과 같은 다른 설정은 저장하지 않습니다.",
	INVALID_PRESET_NAME = "잘못된 프리셋 이름",
	INTERNAL_ERROR = "내부 오류",
	ADD_PRESET_DONE = "프리셋이 정상적으로 저장되었습니다.",
	ADD_PRESET_FAIL = "오류：프리셋을 저장하지 못했습니다！",
	
	MSG_SUCCESS = "성공",
	MSG_FAIL = "실패",
	DIALOG_OK = "확인",
	
	VIDEO_SPECIAL_E1S = "영상처리(자르기/회전...)",
	VIDEO_SPECIAL = "영상처리(자르기/줌/회전...)",
	VGA_MODELINES = "비표준VGA해상도 지원 추가",

	DEVELOPER_OPTIONS = "개발자 옵션",
	DEVELOPER_API_DOC = "HTTP API문서",

	CHANGE_DEFAULT_LANG = "기본 언어",

	USER_AND_PRIV = "사용자 및 권한",
	USER_MAN = "사용자 관리",
	ROLE_MAN = "역할 및 권한",
	MAN_PLATFORM = "관리콘솔 연결",

	NDI_NAME_SET = "NDI 장치 이름 수정",
	NDI_LICENSE = "NDI 라이센스 정보",
	ABOUT_NDI = "NewTek NDI 정보",
	NDI_LICENSE_CONTENT = "이 제품은 NewTek NDI | HX 기술을 사용하며 NewTek으로부터 기술 라이센스를 얻었습니다. NewTek NDI | HX 기술을 사용하면 기존 네트워크 인프라에서 장비를 보다 쉽게 ​사용할 수 있습니다.  NDI 네트워크에서 연결되어 저지연 / 고품질의 비디오 컨텐츠를 쉽게 전송할 수 있습니다.<br /><br />Kiloview 제품에 NDI | HX 기술을 사용하려면 Kiloview의 승인을 받아야합니다. Kiloview의 법적 권리와 NewTek의 법적 권리를 침해하는 기술적 조치는 불법이며, 중국 현지 법과 미국 법에 의해 제재 될 수 있습니다.<br /><br />Kiloview는 중국 Changsha Kiloview Electronics Co., LTD의 등록상표 및 회사이름입니다.<br /><br />NewTek은 미국 NewTek Corporation의 등록 상표 및 회사 이름입니다. Kiloview는 개발사이자 소유자인 NewTek으로 부터 NDI 및 NDI|HX 기술을 사용할 수 있는 권한을 부여받았습니다.",
	NDI_DEVICE_NAME = "기기 이름:",
	NDI_CHANNEL_NAME = "채널 이름:",

    NDI_GROUP_NAME = "그룹",
    NDI_CONNECTION = "연결",
    TTL_ADDR = "멀티캐스트 주소",
    MASK_ADDR = "서브넷 마스크",
    CONNECTION_TCP = "기본",
    CONNECTION_MULTICAST = "멀티캐스트",
    ERRMSG_INVALID_POST_ARGS = "설정값이 잘못되었습니다！",
    MSG_SAVE_DONE = "저장되었습니다！",
	MSG_SAVE_FAIL = "저장에 실패했습니다！",
	GENERATE = "생성",
	DOWNLOAD = "Download",
	NDI_DISCOVERY_SERVER = "Discovery Server",
	SAVELOCAL = "Save-on-this-machine",
	OPEN = "NDI-HX-2",
	OLD_NDI = "NDI-HX-1",
	CLOSE = "Close",
	NDI_ENABLE = "NDI Switch",
	SETHOSTNAME = "Set Hostname",
	HOST_NAME = "Hostname",
	MAINTENANCE = "Maintenance Setting",
	ARPSET = "ARP Resolution Setting",
	STATICSET = "Static routing setting",
	BIND_MONITORING = "바인딩 모니터링 플랫폼",
  INTERCOM = "Voice Intercom",
  KILOLINK = "KiloLink Server",
  INTERCOM_TITLE="Voice Intercom Function",
  INTERCOM_PROTOCOL="Need to switch to HTTPS to use"
}
