--Language packet of streamlist.
return {
	ENCODING_STREAM = "인코딩 및 스트리밍",
	MAIN_STREAM = "H.264 메인 스트림",
	SUB_STREAM = "H.264 서브 스트림",
	SNAP_STREAM = "Motion JPEG 스트림",
	ENCODER_SET = "인코딩 설정",
    DISAUD_ON = "전체 비디오 끄기: 현재 활성화",
    DISAUD_OFF = "전체 비디오 끄기：현재 비활성화",

	VIDEO = "비디오: ",
	AUDIO_BUNDLE = "오디오 인코딩 엔진 사용: ",
	AUDIO_CHANNEL_NAMES = {
		[-1] = "（오디오 없음）",
		[0] = "（오디오 없음）",
		[1] = "채널 1",
		[2] = "채널 2",
		[3] = "채널 3",
		[4] = "채널 4"
	},
	CHANGE_BUNDLE = "변경...",
	AUDIO_CODEC = "오디오 코덱: ",
	AUDIO_CHANNELS = {
		[0] = "없음",
		[1] = "모노",
		[2] = "스테레오"
	},
	
	CHANGE_BUNDLE_TITLE = "오디오 인코딩 엔진 채널 변경",
	CHANGE_BUNDLE_TIP = "참고：오디오 인코딩 채널을 수정하면 현재 모든 스트리밍 서비스 강제로 재설정됩니다. 이것이 응용 프로그램에 영향을 미치는지 확인하십시오.",

	SCALING_SIZE = "사이즈 조정: ",
	SCALING_DEFAULT = "기본 크기",
	VIDEO_ACT_BITRATE = "비디오 비트 레이트: ",
	VIDEO_ACT_FRAMERATE = "비디오 프레임 레이트: ",
	AUDIO_ACT_BITRATE = "오디오 비트 레이트: ",
	AUDIO_ACT_SAMPLING = "오디오 샘플링 레이트: ",
	NONE = "없음",
	SRT_SERVICE="SRT-TS 푸시",
	RTP_SERVICE = "RTP pushing",
	SRT_PERSIS = "SRT-TS 서비스 유지",
	SRT_URL = "SRT 주소: ",
	RTSP_SERVICE = "RTSP 서비스",
	RTSP_PERSIS = "RTSP 서비스 유지",
	RTSP_URL = "RTSP 주소: ",
	RTSP_MULTICAST_URL = "멀티캐스트 주소(멀티캐스트가 활성화 된 경우): ",
	
	ONLINE = "온라인",
	OFFLINE = "오프라인",
	ERROR = "오류",

	SET = "설정",

	SPROXY_SERVICE = "Sproxy 푸시",
	
	START = "시작",
	STOP = "중지",

	SERVICE_STOP_NOTICE = [[(서비스의 활성 종료로 인해 서비스가 중지되었거나 릴리스 지점이 설정되지 않았습니다.)]],

	KPULL_SERVICE = "KMP 스트리밍 서비스",

	RTMP_PUSH_SERVICE = "RTMP 푸시",
	TS_PUSHING = "TS-UDP 푸시",
	HLS_SERVICE = "HLS 푸시",
	JUNSHI = "Junshi(VGEMV) 플랫폼",
	SUBSTREAM_CLOSED_NOTICE = [[서브 스트림이 닫혔습니다. 멀티 스트림을 켜거나 끄려면 오른쪽 상단 모서리에있는 "멀티 스트림 설정 ..."아이콘을 클릭하십시오]],
	DISABLED = "비활성화",
	CUSTOM = "사용자 정의",
	REFRESH = "새로 고침",

	SERVICE_ERROR_NOTICE = "내부시스템 오류：서비스 상태를 가져올 수 없습니다",
	NO_OPERATION = "(작동 불가능)",
	PUB_POINT = "게시 지점: ",
	PUB_POINT_EMPTY = "(아직 구성되지 않음)",
	
	ENCODE_MODE_SET_TITLE = "인코딩 모드 설정",

	ENCODE_MODE = "인코딩 모드: ",
	ENCODE_MAIN = "단일 스트림",
	ENCODE_MAIN_SUB = "메인 스트림+서브 스트림",
	ENCODE_MAIN_SUB_SNAP = "메인 스트림+서브 스트림+JPEG 스냅샷",
	ENCODE_MAIN_SNAP = "메인 스트림+JPEG 스냅샷",

	MSG_SUCCESS = "작업 성공",
	MSG_FAIL = "작업 실패",

	DIALOG_OK = "확인",
	DIALOG_CANCEL = "취소",
	
	ERROR_INVALID_STREAM_MODE = "인코딩 모드 잘못 설정되었습니다. 새로 설정 하십시오.",

	STREAM_CONFIG = "멀티스트림 설정...",
	ADD_STREAM = "스트리밍 서비스 추가...",
	
	ADD_STREAM_TITLE = "스트리밍 서비스 추가",
	REMOVE_STREAM_TITLE = "ㅊ스트리밍 서비스 삭제",
	REMOVE_STREAM_MSG = "이 스트리밍 서비스를 삭제 하시겠습니까？",
	STREAM_TYPE = "스트리밍 서비스 유형: ",
	
	SUPPORT_SERVICE_TYPES = "",
	
	MSG_GETCONFIG_ERROR = "서비스 설정을 가져 오지 못했습니다. 작업이 실패했습니다！",
	MSG_HLS_GETCONFIG_ERROR = "최대 두 개의 HLS 흐름 서비스를 만듭니다. 작업에 실패했습니다.",
	MSG_ADDSTREAM_DONE = "스트리밍 서비스가 추가되었습니다. 설정을 구성하십시오",
	MSG_STREAM_FULL = "이 장치는 최대 8개의 스트리밍 미디어 서비스를 지원하며 이제 모두 구성하여 새로운 서비스를 추가 할 수 없습니다",
	MSG_INVALID_ARGS = "잘못된 설정값",
	MSG_REMOVESTREAM_DONE = "스트리밍 서비스가 삭제되었습니다.",
	DELETE = "서비스 삭제",

	START_RECORD = "녹화 시작",
	STOP_RECORD = "녹화 중지",

	UNKNOWN = "알 수 없음",
	SYS_ERROR = "시스템 오류",

	RECORDING = "녹화",
	STARTING = "녹화 시작중...",
	STOPPED = "녹화되지 않음",
	STOPPING = "녹화 중지...",
	
	UNKNOWN_DISK_TYPE = "알 수 없는 스토리지 유형",
	DISK_TYPE_SDMMC = "SD/MMC 카드",
	DISK_TYPE_USB = "USB 저장소",
	
	FILE_COUNT = "파일수",
	SIZE = "총 크기",
	TIMELEN = "지속 시간",
	
	RECORD_ERRORS = {
		["error"] = "오류",
		["error:start:nodisk"] = "사용 가능한 스토리지가 없습니다",
		["error:start:nospace"] = "저장 공간이 부족합니다",
		["error:recording:nospace"] = "저장 공간이 부족하여 녹화 중지",
		["error:start:not-start"] = "스트리밍이 시작되지 않았습니다",
		["error:start:not-exist"] = "지정된 스트림이 없습니다",
		["error:start:no-source"] = "사용 가능한 미디어 소스가 없습니다",
		["error:start:start-fail"] = "녹화를 시작하지 못했습니다",
		["error:status-error:update-record"] = "녹화를 업데이트하는 동안 오류가 발생했습니다"
	},

	RECORD_SERVICE = "비디오",
	RECORD_STATUS = "녹화 상태 보기",
	RECORD_SET = "녹화 설정",

	RECORD_TO = "저장",
	RECORD_FORMAT = "파일 형식",

	MEDIA_USERS = "미디어 액세스 사용자 관리",
}
