return {
	TITLE = "Serviço de gerenciamento fácil",
	ABOUT_EASYMAN_TITLE = "Sobre o serviço de gerenciamento fácil",
	EASYMAN_ABSTRACT = "O serviço ‘Gerenciamento Fácil’ fornece uma maneira fácil para os usuários gerenciarem/usarem este dispositivo. Duas funções são oferecidas: Link local via ethernet e conexão de seu telefone / tablet Android ou IOS ",
	EASYMAN_COMMENT = [[<b>'Link Local'</b> permite que você defina um endereço IP estático especial que está sempre disponível, mesmo se você esquecer as configurações manuais de IP ou não souber o endereço IP dinâmico.
	<br/><br/>
	<b>'Link USB'</b> permite que você conecte seu PC a este dispositivo por meio de um cabo Mini USB e criará uma conexão de rede virtual no Computador. Por meio dessa conexão de rede virtual, você pode acessar e gerenciar este dispositivo.
	<br/><br/>
	Dispositivos Android/IOS podem ser usados ​​para configurar este dispositivo, assistir a vídeos ao vivo por meio do aplicativo e compartilhar a rede 4G do seu telefone.]],

	LOCALLINK = "Link Local",
	LOCALLINK_ENABLE = "Habilitar Link Local: ",
	DISABLED = "DESABILITAR",
	ENABLED = "HABILITAR",

	LOCALLINK_IP = "Endereço de IP especial: ",
	LOCALLINK_MASK = "Netmask: ",

	USBLINK = "Link USB",
	USBLINK_ENABLE = "Habilitar Link USB: ",
	USBLINK_IP = "USB Link IP: ",
	USBLINK_MASK = "Máscara de rede: ",
	
	MSG_INVALID_IP = "Endereço IP Inválido",
	MSG_INVALID_MASK = "Máscara de rede Inválido",
	
	ANDROID_LINK = "Conexão de dispositivo Android",
	IOS_LINK = "Conexão de dispositivo Apple iOS",
	
	ANDROID_COMMENT = "Conecte seu telefone/tablet Android a qualquer porta USB deste dispositivo. Entre 'Configurações' em seu dispositivo Android e ative 'Tethering & amp; Ponto de acesso'-' tethering USB '. <br/> <br/> Quando você <b> conectar o dispositivo Android pela primeira vez </b>, vá para <a href = '#' onclick = 'ShowPage (\"netlist.lp \"); return false;' > \"Gerenciador de rede \" </a> para configurar a nova interface de rede (geralmente é 'USB Externo Padrão'), defina a resolução de endereço para 'DHCP dinâmico' e salve. Feito isso, você não precisa configurá-lo novamente.<br/><br/><b> Entre em contato com o provedor do seu dispositivo para obter o aplicativo.</b>",
	IOS_COMMENT = "Conecte seu telefone/tablet iOS a qualquer porta USB neste dispositivo. Entre em 'Configurações' em seu dispositivo iOS e habilite 'Ponto de acesso' <br/> <br/> Quando você <b> conectar o dispositivo iOS pela primeira vez </b>, vá para <a href = '#' onclick = ' ShowPage (\"netlist.lp \"); return false; '> \"Gerenciador de rede \" </a> para configurar a nova interface de rede (geralmente será' Ethernet 2 '). Defina o endereço para resolver como ‘DHCP dinâmico’ e salve. Depois de fazer isso, você não precisa configurá-lo novamente. <br/> <br/> <b> Entre em contato com o fornecedor do seu dispositivo para obter o aplicativo. </b> ",
	
	SAVE_SET = "DEFINIR",
	RESET_DEFAULT = "RESTAURAR PADRÕES",
	ERRMSG_INVALID_POST_ARGS = "ERRO: Argumentos de porta inválidos.",
	
	MSG_SAVE_DONE = "Definir CONCLUÍDO.",
	MSG_SAVE_FAIL = "ERRO: Falha ao salvar as configurações!",
}

