--Language packet of encoder set
return {
	MAIN_STREAM = "Stream Principal",
	SUB_STREAM = "Stream Secundário",
	SNAP_STREAM = "Print do Sinal de Entrada",
	ENCODER_SET = "Parâmetros do codificador",

	JPEG_SNAP_TYPE = "Configuração de imagem MJPEG: ",
	SNAP_PREVIEW = "Apenas para preview (com 5fps)",
	SNAP_MAIN = "Igual ao H.264 do stream principal",
	SNAP_SUB = "Igual ao H.264 do stream secundário",
	
	KMP_ORDERING = "Forçar o primeiro canal KMP: ",
	KMP_ORDERING_NOTE = "(Para compatibilidade com produtos mais antigos, selecione 'Sim' para forçar o fluxo de JPEG para o primeiro canal [canal 0] do serviço KMP)",
	
	QUALITY = "Qualidade: ",
	QUALITY_NOTE = " (Intervalo de 1 a 99, valores mais altos, tornam a qualidade melhor)",
	
	YES = "Sim",
	NO = "Não",

	SUBMIT = "SALVAR",
	RETURN = "Retornar",

	MSG_SUCCESS = "Concluído",
	MSG_SAVE_DONE = "Configurações do codificador salvas.",

	MSG_FAIL = "Falha",
	MSG_SAVE_FAIL = "Falha ao salvar configuração do codificador!",

	DIALOG_OK = "OK",
	DIALOG_CANCEL = "Cancelar",

	ERRMSG_INVALID_POST_ARGS = "Parâmetros inválidos",

	INVALID_ENCODERSET_PARAM = "ERRADO: codificador especificado inválido",

	SCALE = "Dimensionamento: ",
	SCALE_DEFAULT = "Tamanho padrão",
	PROFILE = "Perfil H.264: ",
	BR_CTRL = "Controle de taxa de bits: ",
	CBR = "CBR - Constant bitrate",
	VBR = "VBR - Variant bitrate",

	BITRATE = "Taxa de bits: ",
	BITRATE_CUSTOM = "Taxa de bits personalizada",

	FRAMERATE = "Taxa de quadros: ",
	FRAME_FULL = "FULL (igual à fonte de entrada)",
	FRAME_HALF = "HALF (Metade quando a taxa de quadros de origem >= 50)",
	FRAME_CUSTOM = "Taxa de bits personalizada",

	GOP_SIZE = "Tamanho GOP: ",
	GOP_1 = "1 - Tudo ser I quadro",
	GOP_30 = "30 - Produza um quadro I a cada 30 quadros",
	GOP_60 = "60 - Produza um quadro I a cada 60 quadros",
	GOP_90 = "90 - Produza um quadro I a cada 90 quadros",
	GOP_120 = "120 - Produza um quadro I a cada 120 quadros",
	GOP_CUSTOM = "Tamanho GOP personalizado",

	REF_FRAMES = "Quadros de referência: ",
	REF_SINGLE = "Um",
	REF_MULTI = "Vários quadros",
	REF_NOTES = "(O uso de vários quadros de referência deve fornecer uma melhor qualidade de codificação, mas esta configuração pode não ser compatível com alguns decodificadores)",

	COLOR = "Cor: ",
	WITH_COLOR = "cor",
	CHROME = "Monocromático",

	DYNAMIC_BITRATE = "Ajuste automático da taxa de bits:",
	NO_DYNAMIC_BITRATE = "Desativada",
	ENABLE_DYNAMIC_BITRATE = "Depende da largura de banda da rede",

	REDUCE_FRAMERATE = "Taxa de quadros dinâmica: ",
	NO_REDUCE_FRAMERATE = "Desativada",
	ENABLE_REDUCE_FRAMERATE = "Reduza a taxa de quadros quando a taxa de bits for baixa",
	QP_MIN = "Valor minímo QP",
	QP_MAX = "Valor máximo QP",
}
