return {
	TITLE = "Configurações de registro",
	INVALID_RECORDSET_PARAM = "Parâmetros inválidos",
	MAIN_STREAM = "Stream principal",
	SUB_STREAM = "Stream secundário",

	ABOUT_RECORDSET_TITLE = "Sobre o registro",
	RECORDSET_ABSTRACT = "As configurações de gravação podem ser ajustadas nesta página.",
	RECORDSET_COMMENT = "<b> O formato de arquivo .ts. </b> Se um disco USB ou SD/MMC for removido com a gravação ou o dispositivo falhar, a gravação pode ser corrompida ao usar avi ou mp4. Usando o .ts o formato de arquivo pode evitar isso e é compatível com quase todos os reprodutores modernos. <br/> <br/> <b> NÃO use unidades formatadas em NTFS. </b> Embora este dispositivo suporte unidades NTFS, pode causar alta CPU uso que pode afetar outros recursos de streaming e, portanto, não é recomendado. Se você não tiver escolha, defina a taxa de bits de codificação abaixo de 8 Mbps. <br/> <br/> Alterações em qualquer uma das configurações de gravação ocorrerão na próxima gravação começou.",

	SAVE_SET = "SALVAR",
	RESET_DEFAULT = "Reiniciar",

	ERRMSG_INVALID_POST_ARGS = "ERROR: Argumentos de postagem inválidos",

	MSG_SAVE_DONE = "CONCLUÍDO.",
	MSG_SAVE_FAIL = "Erro: Falha ao salvar!",

	AUTO_RECORD = "(Plug-in de discos) Gravação automática:",
	SIGNAL_RECORD = "(Signal Locked) Auto record:",
	ENABLED = "HABILITADO",
	DISABLED = "DESABILITADO",

	DISK_TYPE = "Seleção de disco:",

	FIRST_DISK = "Primeiro disco conectado",
	LARGEST_DISK = "Maior disco",
	MARK_DISK = "Disco marcado",
	USB_FIRST_DISK = "Primeiro disco USB conectado",
	USB_DISK = "Maior disco USB",
	USB_MARK_DISK = "Disco USB marcado",
	SDMMC_FIRST_DISK = "Primeiro disco SD/MMC conectado",
	SDMMC_DISK = "Maior disco SD/MMC",
	SDMMC_MARK_DISK = "Disco SD/MMC marcado",
	NAS_FIRST_DISK = "Primeiro disco NAS montado",
	NAS_DISK = "Maior disco NAS",
	NAS_MARK_DISK = "Disco NAS marcado",

	FIRST_DISK_MEMO = "Use o primeiro disco conectado (nunca se preocupe com o tipo de disco) para gravar arquivos.",
	LARGEST_DISK_MEMO = "Use o maior disco para gravar arquivos, nunca se importando com o tipo de disco.",
	MARK_DISK_MEMO = "Se um disco com o arquivo 'GRAVAR_AQUI' ou 'GRAVAR_AQUI.txt' na raiz (está marcado), use esse disco para gravar arquivos.",
	USB_FIRST_DISK_MEMO = "Use o primeiro disco USB conectado para gravar arquivos.",
	USB_DISK_MEMO = "Use o maior disco USB para gravar arquivos.",
	USB_MARK_DISK_MEMO = "Se um disco USB com o arquivo 'GRAVAR_AQUI' ou 'GRAVAR_AQUI.txt' na raiz (está marcado), use esse disco para gravar arquivos.",
	SDMMC_FIRST_DISK_MEMO = "Use o primeiro disco SD/MMC conectado para gravar arquivos.",
	SDMMC_DISK_MEMO = "Use o maior disco SD/MMC para gravar arquivos.",
	SDMMC_MARK_DISK_MEMO = "Se um disco SD/MMC com o arquivo 'GRAVAR_AQUI' ou 'GRAVAR_AQUI.txt' na raiz (está marcado), use esse disco para gravar arquivos.",
	NAS_FIRST_DISK_MEMO = "Use o primeiro disco NAS montado para gravar arquivos.",
	NAS_DISK_MEMO = "Use o maior disco NAS para gravar arquivos.",
	NAS_MARK_DISK_MEMO = "Se um disco NAS com o arquivo 'GRAVAR_AQUI' ou 'GRAVAR_AQUI.txt' na raiz (está marcado), use esse disco para gravar arquivos.",

	RECORD_FORMAT = "Formato de gravação:",
	TS_FORMAT = "arquivo .ts",
	MP4_FORMAT = "arquivo .mp4",
	MOV_FORMAT = "arquivo .mov",
	MKV_FORMAT = "arquivo .mkv",
	AVI_FORMAT = "arquivo .avi",

	LIMIT_TYPE = "Limitação de arquivo:",
	SIZE_LOOP = "Tamanho limitado, dividido em vários arquivos",
	TIME_LOOP = "Tempo limitado, dividido em vários arquivos",
	SIZE = "Tamanho limitado, arquivo único",
	TIME = "Tempo limitado, arquivo único",
	NONE_LIMIT = "Sem limitação",

	LIMIT_SIZE = "Limitação de tamanho:",
	LIMIT_TIME = "Limite de tempo:",

	SECONDS = "SEGUNDOS",

	DISK_POLICY = "Substituir:",
	OVERWRITE = "Substituir gravações antigos se não houver espaço",
	FULL_STOP = "Parar gravação se não houver espaço",

	FILE_PREFIX = "Prefixo do nome do arquivo:",
	SIGNAL_AUTO_UPLOAD = "(FTP)Envio automático:",
	SIGNAL_UPLOAD_TIME = "(FTP)Tempo de envio:",
	SIGNAL_HOST = "Endereço de envio:",
	SIGNAL_PATH = "Localização do envio:",
	SIGNAL_USER = "(FTP)Conta de envio:",
	SIGNAL_PASSWORD = "(FTP)Enviar a senha:",
	SIGNAL_UPLOAD = "Gravar e enviar",
	MSG_SAVE_UPLOAD_DONE = "O envio foi bem sucedido",
	MSG_UPLOAD_FAIL = "Erro: o envio falhou!",
	TIP_UPLOAD_MSG = "Depois de clicar em Carregar, aguarde que o upload seja concluído.",
	SIGNAL_HOUR = "Hora:",
	SIGNAL_MINUTE = "minuto:",
	SIGNAL_TIMING_PERIOD = "Período de calendário:",
	SIGNAL_TIMING_DAY = "Todos os dias",
}
