return {
	TITLE = "Corte/dimensionamento/rotação/inversão de vídeo",
	TITLE_E1S = "Corte/rotação/inversão de vídeo",
	SUBMIT = "Definir",
	RETURN = "Retornar",
	ERRMSG_INVALID_POST_ARGS = "Argumentos de postagem inválidos",
	MSG_SAVE_DONE = "Parâmetros salvo com sucesso.",
	MSG_SAVE_FAIL = "Falha ao salvar parâmetros!",
	MSG_SUCCESS = "Concluído",
	DIALOG_OK = "OK",
	MSG_FAIL = "Falha",

	SOURCE_CROP = "Corte de imagem de origem:",
	DISABLE_CROP = "Sem recorte",
	ENABLE_CROP = "Habilitar Recorte",
	CROP_X = "Começar a cortar - esquerda:",
	CROP_Y = "Começar a cortar － Topo:",
	CROP_W = "Largura de recorte:",
	CROP_H = "Altura de corte:",
	PIXELS = "Pixels",

	SPEC_FORMAT = "Escala para:",
	SPEC_MODE = "Modo de escala:",

	FORMAT_DEFAULT = "Igual à entrada (desabilitado)",

	SCALE_P2P = "Centro",
	SCALE_FIT = "Manter proporção de aspecto",
	SCALE_STRETCH = "Esticar",
	SCALE_DEFAULT = "Padrão",

	OUT_CROP = "Cortando a imagem em escala:",
	OUT_CROP_E1S = "Cortando a imagem em escala:",

	ROTATE = "Rotação/inversão:",
	DISABLE_ROTATE = "Padrão (sem rotação/inversão)",
	DEGREE = "Graus",
	MIRROR = "Espelho",
	FLIP = "inversão vertical",

	PRE_PROC_TITLE = "Sobre o pré-processamento de vídeo",
	PRE_PROC_NOTE_E1S = [[
			<b> Antes que o vídeo capturado seja enviado ao codificador, é possível ajustar a imagem usando corte, escala, rotação e inversão. </b> <br /> <br />
			<b> (1) Cortar a imagem dimensionada: </b> corte a entrada da fonte original. <br />
			<b> (2) Rotação/inversão: </b> o vídeo pode ser girado 90/180/270 graus ou pode ter um espelho horizontal ou inversão vertical aplicado. Esta é a última etapa antes que a imagem alcance o codificador. <br /> <br />
	]],

	PRE_PROC_NOTE = [[
		<b> Antes que o vídeo capturado seja enviado ao codificador, é possível ajustar a imagem usando corte, escala, rotação e inversão. </b> <br /> <br />
		<b> (1) Corte da imagem da fonte: corte a entrada da fonte original. <br />
		<b> (2) Dimensionamento: </b> A imagem recortada (ou original) pode ser ampliada / reduzida para um formato predefinido. <i> (Por exemplo, o vídeo de entrada é 1080p60, reduzido para 720p30 para codificação.) </i> <br />
		<b> (3) Cortar a imagem dimensionada: </b> Um segundo corte pode ser aplicado após o dimensionamento na parte 2. <i> (É quase o mesmo que a etapa 1, mas às vezes é necessário em aplicativos específicos) </ i> <br />
		<b> (4) Rotação/inversão: </b> o vídeo pode ser girado 90/180/270 graus ou pode ter um espelho horizontal ou inversão vertical aplicado. Esta é a última etapa antes que a imagem alcance o codificador. <br /> <br />
	<b> O processo acima é um pipeline. Você pode escolher ativar ou desativar cada etapa independentemente. </b> <br/>
	<b> Se o agrupamento de imagens de origem estiver habilitado, comece a cortar — Topo (tem um -) duplo </b>
	]],

	NO_SRC_CROP = [[Este dispositivo não oferece suporte à função de recorte da fonte. Apenas a versão "Advanced"/"Professional" poderia suportá-lo. ]],
	NO_SPEC_OUT = [[Este dispositivo não oferece suporte à função de dimensionamento. Apenas a versão "Advanced"/"Professional" poderia suportá-lo. ]],	
}