--Language packet of wifi.
return {
	INVALID_WIFI_OBJ = "ERRO: Você está exigindo um objeto WIFI inválido",
	INTERNAL_ERROR = "Erro interno: Falha ao obter informações do dispositivo WIFI",
	SAVED_CONNECTIONS = "Conexões salvas",
	UNKNOWN = "Desconhecido",
	CURRENT_CONNECTION_MARK = "(Atual)",
	WIFI_OPEN = "Abrir",
	WIFI_WEP = "WEP",
	WIFI_ADHOC_PSK = "AdHoc WPA-PSK",
	WIFI_WPA_PSK = "WPA-PSK",
	WIFI_WPA_EAP = "WPA-EAP",
	WIFI_UNKNOWN_SEC = "Segredos desconhecidos",
	INVALID_WIFI_SEC = "Segredos WIFI inválidos",
	DHCP_ADDRESS_SOLV = "endereço dinâmico DHCP",
	MANUAL_ADDRESS_SOLV = "Conjunto de endereço manual",

	CONFIG = "Configurar",
	FORGET = "Esquecer",
	CONNECT_THIS = "Conecte-se a este",
	DISCONN_THIS = "Desconectar",

	NO_SAVED_CONNECTIONS = "(nenhuma conexão salva)",

	REFRESH = "Atualizar",
	MANUAL_ADD_CONNECTION = "Adicionar uma conexão WIFI especial ...",

	WIFI_SCANLIST = "Lista de digitalização de WIFI",
	CONNECT = "Conectar",

	NO_WIFI_SCANLIST = "(Sem WIFI verificado)",
	ERRMSG_INVALID_CONNECTION = "Conexão WIFI inválida",
	MSG_DELCONN_DONE = "Esqueceu (excluiu) esta conexão.",
	ERRMSG_DELCONN_FAIL = "Não é possível esquecer (excluir) esta conexão!",
	MSG_CON_DONE = "Pronto. Agora está tentando conectar este AP WIFI.",
	ERRMSG_CON_FAIL = "Erro. ​​Não é possível conectar a um AP WIFI especial!",

	MSG_DCON_DONE = "Desconectado",
	ERRMSG_DCON_FAIL = "Não é possível desconectar a conexão atual",

	MSG_SUCCESS = "Concluído",
	MSG_FAIL = "Falha",
	DIALOG_OK = "OK",
	DIALOG_CANCEL = "Cancelar",

	NOSAFE = "Sem segurança",

	ERRMSG_INVALID_POST_ARGS = "Argumentos de postagem inválidos!",
	MSG_SAVE_DONE = "Definido.",
	MSG_SAVE_FAIL = "Falha ao Definir!",
	SUBMIT = "DEFINIR",

	WIFI_SPEC_SET = "Configurações avançadas de WIFI",
	DOMAIN_CODE = "País/Domínio/Padrão:",
    CODE_FCC = "Padrão FCC",
    CODE_IC = "Padrão IC",
    CODE_ETSI = "Padrão ETSI",
    CODE_SPAIN = "Espanha",
    CODE_FRANCE = "França",
    CODE_MKK = "Padrão MKK",
    CODE_MKK1 = "Padrão MKK1",
    CODE_ISRAEL = "Israel",
    CODE_TELEC = "Padrão TELEC",
    CODE_GLOBAL_DOAMIN = "Domínio Global (2.4G)",
    CODE_WORLD_WIDE_13 = "Mundial (2.4G com canal 13)",
    CODE_TAIWAN = "Taiwan",
    CODE_CHINA = "China",
    CODE_SINGAPORE_INDIA_MEXICO = "Singapura/Índia/México",
    CODE_KOREA = "Coréia",
    CODE_TURKEY = "Turquia",
    CODE_JAPAN = "Japão",
    CODE_FCC_NO_DFS = "Padrão FCC sem DFS",
    CODE_JAPAN_NO_DFS = "Japão sem DFS",
    CODE_WORLD_WIDE_5G = "Mundial 2.4G / 5.8G",
    CODE_TAIWAN_NO_DFS = "Taiwan sem DFS",	

	ROAMING = "WIFI Roaming:",
	ENABLE = "Habilitar",
	DISABLE = "Desabilitar",

	RSSI_THRES = "Limiar de diferença RSSI: ",
	RSSI_THRES_TAIL = " (Quando os pontos de acesso com o mesmo nome, mas RSSI diferem muito deste valor, associe automaticamente o melhor)",

	SCAN_INTV = "Scaneando intervalo: ",
	SECONDS = "Segundos",

	SCAN_NOTE = "<b>NOTE</b>:NÃO faça a varredura muito rápido porque a varredura de WiFi deve interromper a transferência temporariamente! Simultaneamente, sugiro que você selecione a opção correta 'País/Domínio/Padrão', de modo que a varredura processe apenas os canais especificados para economizar o tempo de interrupção. "
}
