webpackJsonp([0],{

/***/ "E7zZ":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),

/***/ "I+Nq":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),

/***/ "JAn/":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),

/***/ "L8Y5":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/audioWEBRTC/audioWEBRTC.vue
//
//
//
//
//
//
//
//

/* harmony default export */ var audioWEBRTC = ({
  name: 'audioWEBRTC',
  props: {
    model: {
      type: [Object, String, Number, Boolean, Array]
    },
    status: {
      type: [Object, String, Number, Boolean, Array]
    }
  },
  data: function data() {
    return {
      isTimer: null,
      infoObject: {}
    };
  },

  watch: {
    model: function model(newV, oldV) {
      this.model = newV;
    },
    status: function status(newV, oldV) {
      this.status = newV;
      if (this.status == 'busy') {
        this.startBusy();
      }
    }
  },
  mounted: function mounted() {
    var vm = this;
    this.startRingtone();
    this.setData();
    this.isTimer = setInterval(function () {
      vm.setData();
    }, 2000);
  },

  methods: {
    startRingtone: function startRingtone() {
      var _this = this;

      this.$nextTick(function () {
        _this.$refs.ringtone.play();
      });
    },
    stopRingtone: function stopRingtone() {
      var _this2 = this;

      if (this.$refs.ringtone) {
        this.$nextTick(function () {
          _this2.$refs.ringtone.pause();
        });
      }
    },
    startBusy: function startBusy() {
      var _this3 = this;

      this.$nextTick(function () {
        _this3.$refs.busy.play();
      });
    },
    setData: function setData() {
      var _this4 = this;

      if (this.model.id && this.$store.state.webRTCInfo && this.$store.state.webRTCInfo[this.model.id]) {
        if (this.$refs.audioSRC.srcObject == null) {
          this.infoObject = this.$store.state.webRTCInfo[this.model.id];
          this.stopRingtone();
          if (this.infoObject.srcObject) {
            this.$nextTick(function () {
              _this4.$refs.audioSRC.srcObject = _this4.infoObject.srcObject;
              _this4.$emit('change');
            });
          }
        }
      }
    }
  },
  beforeDestroy: function beforeDestroy() {
    clearInterval(this.isTimer);
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-483b2101","hasScoped":true,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/audioWEBRTC/audioWEBRTC.vue
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',[_c('audio',{ref:"audioSRC",attrs:{"autoplay":"autoplay"}}),_vm._v(" "),(_vm.status == 'calling')?_c('audio',{ref:"ringtone",attrs:{"loop":"","src":"./static/sounds/ringtone.mp3"}}):_vm._e(),_vm._v(" "),(_vm.status == 'busy')?_c('audio',{ref:"busy",attrs:{"loop":"","src":"./static/sounds/busy.mp3"}}):_vm._e()])}
var staticRenderFns = []
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ var audioWEBRTC_audioWEBRTC = (esExports);
// CONCATENATED MODULE: ./src/components/audioWEBRTC/audioWEBRTC.vue
function injectStyle (ssrContext) {
  __webpack_require__("E7zZ")
}
var normalizeComponent = __webpack_require__("VU/8")
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = "data-v-483b2101"
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  audioWEBRTC,
  audioWEBRTC_audioWEBRTC,
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)

/* harmony default export */ var components_audioWEBRTC_audioWEBRTC = (Component.exports);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/talkModules/detectDialog.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//


/* harmony default export */ var detectDialog = ({
  name: 'detectDialog',
  components: {
    audioWEBRTC: components_audioWEBRTC_audioWEBRTC
  },
  props: {
    model: {
      type: [Object, String, Number, Boolean, Array]
    }
  },
  watch: {
    model: function model(newV, oldV) {
      this.model = newV;
    }
  },
  data: function data() {
    return {
      isTimer: null,
      dialogVisible: true,
      startRingtone: false,
      statusOptions: {
        pressCall: {
          text: 'talkMode.pressCall'
        },
        calling: {
          bgClass: 'calling',
          text: 'talkMode.calling'
        },
        busy: {
          bgClass: 'error',
          colorClass: 'is-error_text',
          text: 'talkMode.busy',
          otherText: 'talkMode.otherBusy'
        },
        no_usb: {
          bgClass: 'error',
          colorClass: 'is-error_text',
          text: 'talkMode.noUSB'
        },
        isConnection: {
          bgClass: 'warning',
          colorClass: 'is-warning_text',
          text: 'talkMode.isConnection'
        },
        isDisconnected: {
          bgClass: 'error',
          colorClass: 'is-error_text',
          text: 'talkMode.isDisconnected'
        },
        isCall: {
          bgClass: 'isCall',
          colorClass: 'is-call_text',
          text: 'talkMode.isCall'
        },
        disconnected: {
          bgClass: 'error',
          colorClass: 'is-error_text',
          text: 'talkMode.otherDisconnected'
        }
      },
      webRTCstatus: 'pressCall'
    };
  },
  mounted: function mounted() {
    var vm = this;
    this.isTimer = setInterval(function () {
      if (vm.startRingtone) {
        vm.getStatus();
      }
    }, 2000);
  },

  methods: {
    detectAdd: function detectAdd() {
      var params = {
        id: this.model.id,
        ip: this.model.ip,
        port: this.model.port
      };
      if (this.startRingtone) {
        this.startRingtone = false;
        this.webRTCstatus = this.$options.data().webRTCstatus;
        this.talkDetectDelHttp();
      } else {
        this.getStatus();
        this.startRingtone = true;
        this.webRTCstatus = 'calling';
        this.$audioWebRTC.init(params);
      }
    },
    getStatus: function getStatus() {
      this.webRTCstatus = this.$audioWebRTC.getWebRtcBackStatus() ? this.$audioWebRTC.getWebRtcBackStatus() : this.webRTCstatus;
    },
    talkDetectDelHttp: function talkDetectDelHttp() {
      var _this = this;

      var webRTCinfo = this.$store.state.webRTCInfo ? this.$store.state.webRTCInfo : {};
      var params = {
        id: webRTCinfo[this.model.id] ? webRTCinfo[this.model.id].id : 0,
        ip: this.model.ip
      };
      this.$http.talkDetectDel(params).then(function (res) {
        _this.startRingtone = false;
        _this.$audioWebRTC.RTCclose(_this.model);
        _this.$emit('initData');
      }).catch(function (e) {});
    },
    handleClose: function handleClose() {
      if (this.startRingtone) {
        this.talkDetectDelHttp();
      }
      this.dialogVisible = false;
      this.webRTCstatus = this.$options.data().webRTCstatus;
      this.$emit('change', false);
    },
    audioChange: function audioChange() {
      this.webRTCstatus = 'isCall';
    }
  },
  beforeDestroy: function beforeDestroy() {
    clearInterval(this.isTimer);
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-34903346","hasScoped":true,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/talkModules/detectDialog.vue
var detectDialog_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('el-dialog',{attrs:{"visible":_vm.dialogVisible,"width":"260px","title":_vm.model.name,"custom-class":"detectDialog","append-to-body":true,"before-close":_vm.handleClose,"close-on-click-modal":false,"center":""},on:{"update:visible":function($event){_vm.dialogVisible=$event}}},[_c('div',{staticClass:"text-center icon-box",class:_vm.statusOptions[_vm.webRTCstatus].bgClass,on:{"click":_vm.detectAdd}},[_c('i',{staticClass:"iconfont icon-V ft_100"})]),_vm._v(" "),_c('div',{staticClass:"text-center mt_10 pb_40 status-text_box"},[(_vm.statusOptions[_vm.webRTCstatus])?_c('span',{class:_vm.statusOptions[_vm.webRTCstatus].colorClass},[_vm._v("\n      "+_vm._s(_vm.$t(parseInt(_vm.model.id) != 0 && _vm.webRTCstatus == 'busy' ? _vm.statusOptions[_vm.webRTCstatus].otherText : _vm.statusOptions[_vm.webRTCstatus].text))+"\n    ")]):_vm._e()]),_vm._v(" "),(_vm.model.id && _vm.startRingtone)?_c('audioWEBRTC',{attrs:{"model":_vm.model,"status":_vm.webRTCstatus},on:{"change":_vm.audioChange}}):_vm._e()],1)}
var detectDialog_staticRenderFns = []
var detectDialog_esExports = { render: detectDialog_render, staticRenderFns: detectDialog_staticRenderFns }
/* harmony default export */ var talkModules_detectDialog = (detectDialog_esExports);
// CONCATENATED MODULE: ./src/components/talkModules/detectDialog.vue
function detectDialog_injectStyle (ssrContext) {
  __webpack_require__("I+Nq")
}
var detectDialog_normalizeComponent = __webpack_require__("VU/8")
/* script */


/* template */

/* template functional */
var detectDialog___vue_template_functional__ = false
/* styles */
var detectDialog___vue_styles__ = detectDialog_injectStyle
/* scopeId */
var detectDialog___vue_scopeId__ = "data-v-34903346"
/* moduleIdentifier (server only) */
var detectDialog___vue_module_identifier__ = null
var detectDialog_Component = detectDialog_normalizeComponent(
  detectDialog,
  talkModules_detectDialog,
  detectDialog___vue_template_functional__,
  detectDialog___vue_styles__,
  detectDialog___vue_scopeId__,
  detectDialog___vue_module_identifier__
)

/* harmony default export */ var components_talkModules_detectDialog = (detectDialog_Component.exports);

// EXTERNAL MODULE: ./node_modules/babel-runtime/core-js/object/assign.js
var object_assign = __webpack_require__("woOf");
var assign_default = /*#__PURE__*/__webpack_require__.n(object_assign);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/talkModules/deviceAddDialog.vue

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var deviceAddDialog = ({
  name: 'deviceDialog',
  data: function data() {
    return {
      dialogVisible: true,
      form: {
        type: 'device',
        ip: '',
        serial: '',
        auth_code: '',
        port: 14000
      }
    };
  },
  created: function created() {
    this.getData();
  },

  methods: {
    getData: function getData() {
      var _this = this;

      this.$http.getTalkSerial().then(function (res) {
        _this.form.serial = res.data.data.serial;
      }).catch(function (e) {});
    },
    submitOk: function submitOk() {
      var _this2 = this;

      this.$refs.form.validate(function (valid) {
        if (valid) {
          var params = assign_default()({}, _this2.form);
          _this2.$http.addDeviceList(params).then(function (res) {
            _this2.$message.success(_this2.$t('tips.addSuccess'));
            _this2.handleClose();
          }).catch(function (e) {});
        }
      });
    },
    handleClose: function handleClose() {
      this.dialogVisible = false;
      this.$emit('change', false);
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-422cca40","hasScoped":true,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/talkModules/deviceAddDialog.vue
var deviceAddDialog_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('el-dialog',{attrs:{"visible":_vm.dialogVisible,"width":"300px","title":_vm.$t('talkMode.addDevice'),"append-to-body":true,"before-close":_vm.handleClose,"center":""},on:{"update:visible":function($event){_vm.dialogVisible=$event}}},[_c('el-form',{ref:"form",attrs:{"model":_vm.form,"label-width":"auto","size":"mini"}},[_c('el-form-item',{attrs:{"label":_vm.$t('talkMode.type')}},[_c('el-select',{attrs:{"size":"mini"},model:{value:(_vm.form.type),callback:function ($$v) {_vm.$set(_vm.form, "type", $$v)},expression:"form.type"}},[_c('el-option',{attrs:{"label":_vm.$t('talkMode.device'),"value":"device"}}),_vm._v(" "),_c('el-option',{attrs:{"label":_vm.$t('talkMode.callServe'),"value":"call_server"}})],1)],1),_vm._v(" "),_c('el-form-item',{attrs:{"prop":"ip","label":"IP","rules":_vm.$filter_rules({ required: true })}},[_c('el-input',{attrs:{"size":"mini"},model:{value:(_vm.form.ip),callback:function ($$v) {_vm.$set(_vm.form, "ip", $$v)},expression:"form.ip"}})],1),_vm._v(" "),(_vm.form.type == 'call_server')?_c('el-form-item',{attrs:{"prop":"serial","label":_vm.$t('talkMode.serialNumber')}},[_c('el-input',{attrs:{"size":"mini","disabled":""},model:{value:(_vm.form.serial),callback:function ($$v) {_vm.$set(_vm.form, "serial", $$v)},expression:"form.serial"}})],1):_vm._e(),_vm._v(" "),(_vm.form.type == 'call_server')?_c('el-form-item',{attrs:{"prop":"auth_code","label":_vm.$t('talkMode.authCode'),"rules":_vm.$filter_rules({ required: true })}},[_c('el-input',{attrs:{"size":"mini"},model:{value:(_vm.form.auth_code),callback:function ($$v) {_vm.$set(_vm.form, "auth_code", $$v)},expression:"form.auth_code"}})],1):_vm._e(),_vm._v(" "),_c('el-form-item',{attrs:{"prop":"port","label":_vm.$t('talkMode.port')}},[_c('el-input-number',{attrs:{"size":"mini","min":1,"max":65535},model:{value:(_vm.form.port),callback:function ($$v) {_vm.$set(_vm.form, "port", $$v)},expression:"form.port"}})],1)],1),_vm._v(" "),_c('div',{staticClass:"dialog-footer"},[_c('kvd-button',{attrs:{"label":_vm.$t('button.ok'),"type":"primary","size":"mini"},on:{"click":_vm.submitOk}}),_vm._v(" "),_c('kvd-button',{attrs:{"label":_vm.$t('button.cancel'),"type":"danger","size":"mini"},on:{"click":_vm.handleClose}})],1)],1)}
var deviceAddDialog_staticRenderFns = []
var deviceAddDialog_esExports = { render: deviceAddDialog_render, staticRenderFns: deviceAddDialog_staticRenderFns }
/* harmony default export */ var talkModules_deviceAddDialog = (deviceAddDialog_esExports);
// CONCATENATED MODULE: ./src/components/talkModules/deviceAddDialog.vue
function deviceAddDialog_injectStyle (ssrContext) {
  __webpack_require__("JAn/")
}
var deviceAddDialog_normalizeComponent = __webpack_require__("VU/8")
/* script */


/* template */

/* template functional */
var deviceAddDialog___vue_template_functional__ = false
/* styles */
var deviceAddDialog___vue_styles__ = deviceAddDialog_injectStyle
/* scopeId */
var deviceAddDialog___vue_scopeId__ = "data-v-422cca40"
/* moduleIdentifier (server only) */
var deviceAddDialog___vue_module_identifier__ = null
var deviceAddDialog_Component = deviceAddDialog_normalizeComponent(
  deviceAddDialog,
  talkModules_deviceAddDialog,
  deviceAddDialog___vue_template_functional__,
  deviceAddDialog___vue_styles__,
  deviceAddDialog___vue_scopeId__,
  deviceAddDialog___vue_module_identifier__
)

/* harmony default export */ var components_talkModules_deviceAddDialog = (deviceAddDialog_Component.exports);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/talkModules/audioSetDialog.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var audioSetDialog = ({
  name: 'audioSetDialog',
  data: function data() {
    return {
      dialogVisible: true,
      form: {
        audio_source: '',
        audio_output: ''
      },
      audioSourceOptions: [],
      audioOutputOptions: []
    };
  },
  created: function created() {
    this.getAudioOptions();
  },

  methods: {
    getAudioOptions: function getAudioOptions() {
      var _this = this;

      this.$http.getAudioOptions().then(function (res) {
        _this.audioSourceOptions = res.data.data.audioSourceOptions;
        _this.audioOutputOptions = res.data.data.audioOutputOptions;
        _this.getData();
      }).catch(function (e) {});
    },

    //获取源数据
    getData: function getData() {
      var _this2 = this;

      this.$http.getAudioConfig().then(function (res) {
        _this2.form = res.data.data;
      }).catch(function (e) {});
    },
    submitOk: function submitOk() {
      var _this3 = this;

      var params = this.form;
      this.$http.setAudioConfig(params).then(function (res) {
        _this3.$message.success(_this3.$t('tips.modifiedSuccess'));
      }).catch(function (e) {});
    },
    handleClose: function handleClose() {
      this.dialogVisible = false;
      this.$emit('change', false);
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-23480710","hasScoped":true,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/talkModules/audioSetDialog.vue
var audioSetDialog_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('el-dialog',{attrs:{"visible":_vm.dialogVisible,"width":"300px","title":_vm.$t('talkMode.parameterSettings'),"append-to-body":true,"before-close":_vm.handleClose,"center":""},on:{"update:visible":function($event){_vm.dialogVisible=$event}}},[_c('el-form',{ref:"form",attrs:{"model":_vm.form,"label-width":"auto","size":"mini"}},[_c('el-form-item',{attrs:{"label":_vm.$t('talkMode.audioSource')}},[_c('el-select',{attrs:{"size":"mini"},model:{value:(_vm.form.audio_source),callback:function ($$v) {_vm.$set(_vm.form, "audio_source", $$v)},expression:"form.audio_source"}},_vm._l((_vm.audioSourceOptions),function(item,idx){return _c('el-option',{key:idx,attrs:{"label":item.name,"value":item.value}})}),1)],1),_vm._v(" "),_c('el-form-item',{attrs:{"label":_vm.$t('talkMode.audioOutput')}},[_c('el-select',{attrs:{"size":"mini"},model:{value:(_vm.form.audio_output),callback:function ($$v) {_vm.$set(_vm.form, "audio_output", $$v)},expression:"form.audio_output"}},_vm._l((_vm.audioOutputOptions),function(item,idx){return _c('el-option',{key:idx,attrs:{"label":item.name,"value":item.value}})}),1)],1)],1),_vm._v(" "),_c('div',{staticClass:"dialog-footer"},[_c('kvd-button',{attrs:{"label":_vm.$t('button.ok'),"type":"primary","size":"mini"},on:{"click":_vm.submitOk}}),_vm._v(" "),_c('kvd-button',{attrs:{"label":_vm.$t('button.cancel'),"type":"danger","size":"mini"},on:{"click":_vm.handleClose}})],1)],1)}
var audioSetDialog_staticRenderFns = []
var audioSetDialog_esExports = { render: audioSetDialog_render, staticRenderFns: audioSetDialog_staticRenderFns }
/* harmony default export */ var talkModules_audioSetDialog = (audioSetDialog_esExports);
// CONCATENATED MODULE: ./src/components/talkModules/audioSetDialog.vue
function audioSetDialog_injectStyle (ssrContext) {
  __webpack_require__("ynPp")
}
var audioSetDialog_normalizeComponent = __webpack_require__("VU/8")
/* script */


/* template */

/* template functional */
var audioSetDialog___vue_template_functional__ = false
/* styles */
var audioSetDialog___vue_styles__ = audioSetDialog_injectStyle
/* scopeId */
var audioSetDialog___vue_scopeId__ = "data-v-23480710"
/* moduleIdentifier (server only) */
var audioSetDialog___vue_module_identifier__ = null
var audioSetDialog_Component = audioSetDialog_normalizeComponent(
  audioSetDialog,
  talkModules_audioSetDialog,
  audioSetDialog___vue_template_functional__,
  audioSetDialog___vue_styles__,
  audioSetDialog___vue_scopeId__,
  audioSetDialog___vue_module_identifier__
)

/* harmony default export */ var components_talkModules_audioSetDialog = (audioSetDialog_Component.exports);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/view/index.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

// 测试通话

// 设备添加

// 音频源等配置

/* harmony default export */ var view = ({
  components: {
    detectDialog: components_talkModules_detectDialog,
    deviceAddDialog: components_talkModules_deviceAddDialog,
    audioSetDialog: components_talkModules_audioSetDialog
  },
  data: function data() {
    return {
      isTimer: null,
      loading: true,
      deviceList: [],
      activeData: {},
      //弹出框
      detectDialogVisible: false,
      deviceDialogVisible: false,
      audioSetDialogVisible: false,
      statusOptions: {
        connecting: 'talkMode.connecting',
        talking: 'talkMode.talking',
        nousb: 'talkMode.noCallingDevice',
        busy: 'talkMode.deviceBusy',
        connection: 'talkMode.connection',
        paramError: 'talkMode.paramError',
        disable: 'talkMode.disable',
        userLimitError: 'talkMode.userLimitError',
        authCodeError: 'talkMode.authCodeError',
        licenseExpiredError: 'talkMode.licenseExpiredError',
        devNameExistError: 'talkMode.devNameExistError',
        systemError: 'talkMode.systemError'
      }
    };
  },
  created: function created() {
    var vm = this;
    this.getData();
    this.isTimer = setInterval(function () {
      vm.getData();
    }, 3000);
  },

  computed: {
    currentHeadset: function currentHeadset() {
      var _this = this;

      var current_headset = this.deviceList[0].headsetList.find(function (item) {
        return _this.deviceList[0].headset == item.label;
      });
      return current_headset.label;
    }
  },
  methods: {
    getData: function getData() {
      var _this2 = this;

      this.$http.getDeviceList().then(function (res) {
        _this2.deviceList = _this2.$tools.stringify(res.data.data);
        _this2.loading.close();
      }).catch(function (e) {});
    },

    /*按钮点击事件*/
    refresh: function refresh() {
      var _this3 = this;

      this.loading = this.$loading({
        text: 'Loading',
        spinner: 'el-icon-loading',
        background: 'rgba(0, 0, 0, 0.7)'
      });
      setTimeout(function () {
        _this3.getData();
      }, 1000);
    },
    connection: function connection(val) {
      var _this4 = this;

      var params = {
        id: val.id,
        enable: val.selected ? 0 : 1
      };
      this.activeData = val;
      this.$http.talkConnection(params).then(function (res) {
        if (res.data.status) {
          _this4.$message.warning(_this4.$t('talkMode')[res.data.status]);
        }
        _this4.getData();
      }).catch(function (e) {});
    },

    /*列表点击事件*/
    activeList: function activeList(val) {
      if (val.status == 'trying') {
        return false;
      }
      this.activeData = this.activeData.id == val.id ? {} : val;
    },

    //删除
    deviceDelete: function deviceDelete(val) {
      var _this5 = this;

      var params = { id: val.id };
      this.$confirm(this.$t('confirm.confirmDel'), this.$t('tips.tips'), {
        confirmButtonText: this.$t('button.ok'),
        cancelButtonText: this.$t('button.cancel'),
        type: 'warning',
        customClass: 'deviceDelete'
      }).then(function () {
        _this5.$http.removeDevice(params).then(function (res) {
          _this5.$message.success(_this5.$t('tips.deleteSuccess'));
          _this5.getData();
        }).catch(function (e) {});
      }).catch(function (e) {});
    },

    getIP: function getIP() {
      var reg = /\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}/;
      var ip = reg.exec(window.location.href)[0];
      return ip;
    },
    //本地测试
    openDetectDialog: function openDetectDialog(val) {
      this.activeData = val ? val : {
        id: '0',
        name: this.$t('talkMode.talkCurrentDevice'),
        ip: this.getIP()
      };
      this.detectDialogVisible = true;
    },
    detectDialogChange: function detectDialogChange() {
      this.detectDialogVisible = false;
      this.getData();
    },

    //添加设备或服务器
    openDeviceDialog: function openDeviceDialog() {
      this.deviceDialogVisible = true;
    },
    devicecDialogChange: function devicecDialogChange() {
      this.deviceDialogVisible = false;
      this.getData();
    },

    //参数设置dialog
    openSetDialog: function openSetDialog() {
      this.audioSetDialogVisible = true;
    },
    setDialogChange: function setDialogChange() {
      this.audioSetDialogVisible = false;
      this.getData();
    },

    //耳机接口
    headsetChange: function headsetChange(item) {
      var _this6 = this;

      var params = { headset: item };
      this.$http.setHeadset(params).then(function (res) {
        _this6.getData();
      }).catch(function (e) {
        _this6.getData();
      });
    }
  },
  beforeDestroy: function beforeDestroy() {
    clearInterval(this.isTimer);
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-8e195992","hasScoped":true,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/view/index.vue
var view_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('el-row',[_c('el-col',{attrs:{"sm":{ span: 22, offset: 1 },"md":{ span: 20, offset: 2 },"lg":{ span: 16, offset: 4 },"xl":{ span: 12, offset: 6 }}},[_c('div',{staticClass:"display-flex mt_20 justify-content_center"},[_c('div',{staticClass:"header-left_box display-flex align-items_center"},[_c('i',{staticClass:"iconfont icon-V icon-list local-detect_active ft_40",on:{"click":function($event){return _vm.openDetectDialog()}}}),_vm._v(" "),_c('div',{staticClass:"ft_12 color_bf pl_5"},[_c('p',[_vm._v(_vm._s(_vm.$t('talkMode.talkCurrentDevice')))]),_vm._v(" "),(_vm.deviceList.length > 0 && _vm.deviceList[0].connectIp && _vm.deviceList[0].status == 'connection')?_c('p',{staticClass:"green pt_5 pb_2"},[_c('span',[_vm._v(_vm._s(_vm.deviceList[0].connectIp)+_vm._s(_vm.$t('talkMode.connectionThisDevice')))])]):_vm._e(),_vm._v(" "),(_vm.deviceList.length > 0)?_c('el-dropdown',{staticClass:"headset-dropdown_box",attrs:{"trigger":"click","placement":"bottom-start"},on:{"command":_vm.headsetChange}},[_c('span',{staticClass:"el-dropdown-link"},[_vm._v("\n              "+_vm._s(_vm.currentHeadset)+"\n              "),_c('i',{staticClass:"el-icon-arrow-down el-icon--right"})]),_vm._v(" "),_c('el-dropdown-menu',{staticClass:"headset-dropdown_menu",attrs:{"slot":"dropdown"},slot:"dropdown"},_vm._l((_vm.deviceList[0].headsetList),function(item){return _c('el-dropdown-item',{key:item.value,class:{ active: _vm.deviceList[0].headset == item.value },attrs:{"command":item.value}},[_vm._v("\n                "+_vm._s(item.label)+"\n              ")])}),1)],1):_vm._e()],1)]),_vm._v(" "),_c('div',{staticClass:"flex_1 text-right"},[_c('i',{staticClass:"iconfont icon-tianjia icon-list",on:{"click":_vm.openDeviceDialog}}),_vm._v(" "),_c('i',{staticClass:"el-icon-refresh icon-list",on:{"click":_vm.refresh}})])]),_vm._v(" "),_c('el-row',{staticClass:"mt_5 list-item_box"},_vm._l((_vm.deviceList),function(val,key){return (key > 0)?_c('el-col',{key:key,attrs:{"sm":{ span: 24 },"md":{ span: 24 },"lg":{ span: 12 },"xl":{ span: 12 }}},[_c('div',{staticClass:"list-item",class:{ 'active-item': _vm.activeData.id == val.id, 'status-off': val.status == 'trying', 'list-selected': val.selected, connecting: val.status == 'connection' },on:{"click":function($event){return _vm.activeList(val)}}},[_c('i',{staticClass:"iconfont",class:{ 'icon-zidongtianjiadeshebei': !val.manual, 'icon-shoudongtianjiadeshebei': val.manual },attrs:{"title":val.manual ? _vm.$t('talkMode.addManully') : _vm.$t('talkMode.autoDiscovery')}}),_vm._v(" "),_c('div',{staticClass:"pl_10 pr_10 flex_1 overEllipsis"},[_c('p',{staticClass:"list-item_title overEllipsis",attrs:{"title":val.name}},[_vm._v(_vm._s(val.name))]),_vm._v(" "),_c('p',{staticClass:"ft_12 overEllipsis"},[_c('span',{staticClass:"pr_2"},[_vm._v(_vm._s(_vm.$t('talkMode.mode'))+":")]),_vm._v(" "),_c('span',[_vm._v(_vm._s(val.mode))])]),_vm._v(" "),_c('p',{staticClass:"ft_12 pt_5"},[_vm._v(_vm._s(val.ip))])]),_vm._v(" "),(val.status != 'trying')?_c('div',{staticClass:"list-icon_box"},[(_vm.statusOptions[val.status])?_c('span',{staticClass:"mr_10 ft_12"},[_vm._v(_vm._s(_vm.$t(_vm.statusOptions[val.status])))]):_vm._e(),_vm._v(" "),(!val.selected && val.mode != 'Server')?_c('i',{staticClass:"iconfont icon-V list-icon",class:{ visibility_initial: val.selected },attrs:{"title":_vm.$t('talkMode.webCallDevice')},on:{"click":function($event){$event.stopPropagation();return _vm.openDetectDialog(val)}}}):_vm._e(),_vm._v(" "),_c('i',{staticClass:"iconfont icon-lianjie list-icon",class:{ selected: val.selected },attrs:{"title":val.mode == 'Server' ? _vm.$t('talkMode.deviceCallServer') : _vm.$t('talkMode.deviceCallDevice')},on:{"click":function($event){$event.stopPropagation();return _vm.connection(val)}}})]):_vm._e(),_vm._v(" "),(val.manual)?_c('i',{staticClass:"el-icon-close delIcon",on:{"click":function($event){$event.stopPropagation();return _vm.deviceDelete(val)}}}):_vm._e()])]):_vm._e()}),1),_vm._v(" "),(_vm.detectDialogVisible)?_c('detectDialog',{attrs:{"model":_vm.activeData},on:{"change":_vm.detectDialogChange,"initData":_vm.getData}}):_vm._e(),_vm._v(" "),(_vm.deviceDialogVisible)?_c('deviceAddDialog',{on:{"change":_vm.devicecDialogChange}}):_vm._e(),_vm._v(" "),(_vm.audioSetDialogVisible)?_c('audioSetDialog',{on:{"change":_vm.setDialogChange}}):_vm._e()],1)],1)}
var view_staticRenderFns = []
var view_esExports = { render: view_render, staticRenderFns: view_staticRenderFns }
/* harmony default export */ var selectortype_template_index_0_src_view = (view_esExports);
// CONCATENATED MODULE: ./src/view/index.vue
function view_injectStyle (ssrContext) {
  __webpack_require__("xYF+")
}
var view_normalizeComponent = __webpack_require__("VU/8")
/* script */


/* template */

/* template functional */
var view___vue_template_functional__ = false
/* styles */
var view___vue_styles__ = view_injectStyle
/* scopeId */
var view___vue_scopeId__ = "data-v-8e195992"
/* moduleIdentifier (server only) */
var view___vue_module_identifier__ = null
var view_Component = view_normalizeComponent(
  view,
  selectortype_template_index_0_src_view,
  view___vue_template_functional__,
  view___vue_styles__,
  view___vue_scopeId__,
  view___vue_module_identifier__
)

/* harmony default export */ var src_view = __webpack_exports__["default"] = (view_Component.exports);


/***/ }),

/***/ "xYF+":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),

/***/ "ynPp":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })

});