
local upgrade = {
    filename = "",
    filesize = 0,
    write_size = 0
}


function upgrade.Upgrade( info )
    upgrade.filename = info.filename
    upgrade.filesize = info.filesize
    upgrade.write_size = 0;
    return true, info
end

function upgrade.GetFirmware( info )
    if upgrade.filesize > 0 then
        info.filename = upgrade.filename
        info.offset   = upgrade.write_size
        info.readsize = 4096
        return true, info
    end
    return false, info
end

function upgrade.UpdateFirmware( info )
    if upgrade.filename and upgrade.filesize>0 then
        local name = "/tmp/" .. upgrade.filename
        local f = io.open(name, "a+")
        if f then
            f:write(info)
            f:close()
        end
        upgrade.write_size = upgrade.write_size + #info
        if upgrade.write_size == upgrade.filesize then
            --TODO 升级文件下载成功
        end
        return true
    end
    return false
end

return upgrade