local args = {...}
local request = args[1]
if not request then
	error( "Invalid request argument passed!" )
end

local ptz_m = require "ptzModule"
if request.PresetToken then
	local i,pos
	for i=0,99 do
		if _G.ptz.presets[i].token == request.PresetToken then
			pos = i
			break
		end
	end

	if pos then
		CONFIGS.BeginUpdate()
		_G.ptz.presets[pos].token = ""
		_G.ptz.presets[pos].name = ""
		CONFIGS.Submit()

		if ptz_m and ptz_m.ptz_obj then
			ptz_m.ptz_obj:RemovePreset(pos)
		end
	end

end

return SVC_OK

--[==[ *ABSTRACT* The 'request' arguments:
{
	ProfileToken: <char*> (!)
	PresetToken: <char*> (!)
}
]==]

--[==[ *ABSTRACT* The 'response' arguments:
{
}
]==]

--NOTE: SVC_OK = 0, SVC_NOIMPL = 1

