local args = {...}
local request = args[1]

if not request then
	error( "Invalid request argument passed!" )
end

local busOprs = require "busOprs"

local cc, gets = busOprs.Get( {
	["webConfig.port"] = 80,
} )

return {
	MediaUri = {
		Uri = "http://" .. GLOBAL_INFO.GetHostAddress(gets and gets["webConfig.port"] or 80) .. "/actions/snap.lua?stream=02",
		InvalidAfterConnect = 0,
		InvalidAfterReboot = 0,
		Timeout = 30
	}
}

