local _M = {}

---------------------------------------------------
-- KMP CoAF bus pushing service operations
---------------------------------------------------

local kmp_push_svc_methods = {}
kmp_push_svc_methods.__index = kmp_push_svc_methods

function kmp_push_svc_methods:get_ServiceType()
	return "KMP/PUSH"
end

function kmp_push_svc_methods:ServiceName()
	return "Kiloview-Media-Protocol pushing of stream " .. self.appId .. "-" .. self.streamId
end

function kmp_push_svc_methods:get_Enabled()
	return false	--TODO
end

function kmp_push_svc_methods:get_ServiceUri()
	return "" --TODO
end

function kmp_push_svc_methods:Enable(en)
	return false	--TODO
end

function kmp_push_svc_methods:Update()
	--TODO:
end

function kmp_push_svc_methods:GetStatus()
	--TODO:
	return 1, { ["stream.status"] = "offline" }
end

--------------------------------------------

function _M.ServiceMethods()
	return kmp_push_svc_methods
end

return _M
