local rpc = require "kiloview.ringRpc"
local nu = require "kiloview.netUtil"

local _M = {}

function _M.GetNetInterfaces()
	local r, devices = rpc.Call( "NETWORK_MANAGER.GetDevicesBy", "*" )
	if not r or not devices or #devices < 1 then
		return nil
	else
		return devices
	end
end


--------------------------------------
return _M

