local chkLang = require "kiloview.checkLang"
local pageLang = chkLang.Check("NOPOST") --No post arguments check.
local langs = require("langs.language")("firmware", pageLang)
local rpc = require "kiloview.ringRpc"
local cgilua = require "cgilua"

cgilua.SAPI.Response.setContentType( [[application/json;charset=utf-8]]  );
local k_rst , k_fileName = cgilua.SAPI.Request.savePostFile( [[/tmp/]] );  --/data/update/
if not k_rst or not k_fileName then
	cgilua.put( [[ { "title":"]] .. langs.ERROR_TITLE .. [[", "msg":"]] .. langs.ERROR_UPLOAD .. [[", "reboot":"no" } ]] )
else
	local _x,rslt,errTag,errMsg = rpc.Call( "UPGRADE.ProcessUpgradeFirmware", k_fileName, "/tmp/.fw_upgrade" )
	if rslt then
		cgilua.put( [[ { "title":"]] .. langs.DONE_TITLE .. [[", "msg":"]] .. langs.DONE_MSG .. [[", "reboot":"yes" } ]] )
	else
		cgilua.put( [[ { "title":"]] .. langs.ERROR_TITLE .. [[", "msg":"]] .. langs.FAIL_TAG_MESSAGES[ errTag or "preupgrade.exec-fail" ] .. [[", "reboot":"no" } ]] )
	end
end
