local chkLang = require "kiloview.checkLang"
local pageLang = chkLang.Check("NOPOST") --No post check.
local langs = require("langs.language")("imgman", pageLang)
local cgilua = require "cgilua"
local rpc = require "kiloview.ringRpc"
	
cgilua.SAPI.Response.setContentType( [[application/json;charset=utf-8]]  );
local k_rst , k_fileName = cgilua.SAPI.Request.savePostFile( [[/tmp/]], true )
if not k_rst or not k_fileName then
	cgilua.put( [[ { "Result":400, "Msg":"]] .. langs.MSG_ADD_FAIL .. [[" } ]] )
else
	if not cgilua.POST or not cgilua.POST.id or cgilua.POST.id == "" then
		cgilua.put( [[ {"Result":400, "Msg":"]] .. langs.ERRMSG_INVALID_ARGUMENT .. [[" } ]] )
	else
		local x,r,msg = rpc.Call( "BUS.AddIMAGE", cgilua.POST.id, k_fileName )
		if x and r then
			cgilua.put( [[ { "Result":200, "Msg":"]] .. langs.MSG_ADD_DONE .. [[", "Refresh":1 } ]] )
		else
			cgilua.put( [[ { "Result":400, "Msg":"]] .. langs.MSG_ADD_FAIL .. [[" } ]] )
		end
	end
end
