--Controller of tsudp_set
local _M = require( "controller.generic" )()
local cgilua = require "cgilua"

---------- AJAX Call -----------

local function SaveSet( args )
	if not args or type(args) ~= "table" then
		return [[ {"Result":400, "Msg":"]] .. _M.langs.ERRMSG_INVALID_POST_ARGS .. [["}]]
	end

	--找到流id
	local tabs={}
	for k,v in pairs(args) do
		for w in string.gmatch(k, "%d+") do
			table.insert(tabs,w)
		end
		if #tabs ==2 then
			break
		end
	end
	local stream_id = tabs[1]
	local idr = tabs[2]
	
	if args["streamer.stream[" .. stream_id .. "].Dynamic_services[".. idr .. "].SRT_push.srt_connect_mode"] == "listener" then
		args["streamer.stream[" .. stream_id .. "].Dynamic_services[".. idr .. "].SRT_push.address"] = ""
	end
	if args["streamer.stream[" .. stream_id .. "].Dynamic_services[".. idr .. "].SRT_push.srt_encryption_key_len"] == "none" then
		args["streamer.stream[" .. stream_id .. "].Dynamic_services[".. idr .. "].SRT_push.srt_encryption_key"] = ""
	else
		local num = string.match(args["streamer.stream[" .. stream_id .. "].Dynamic_services[".. idr .. "].SRT_push.srt_encryption_key_len"],"%d+")
		if #args["streamer.stream[" .. stream_id .. "].Dynamic_services[".. idr .. "].SRT_push.srt_encryption_key"] < 10 
		or #args["streamer.stream[" .. stream_id .. "].Dynamic_services[".. idr .. "].SRT_push.srt_encryption_key"] > num/8 then
			return [[ {"Result":400, "Msg":"]] .. _M.langs.MSG_SAVE_FAIL_KEY .. [["}]]
		end
	end
	--srt_encryption_key_len
	
	local r,x = _M.MasterCall( "BUS.Set", args )
	if r and x then 
		return [[ {"Result":200, "Msg":"]] .. _M.langs.MSG_SAVE_DONE .. [["}]]
	else
		return [[ {"Result":400, "Msg":"]] .. _M.langs.MSG_SAVE_FAIL .. [["}]]
	end
end

--------------------------------
_M.AjaxExport ("SaveSet", SaveSet, "json") 
--------------------------------

return _M

