--Language packet of encoder set
return {
	MAIN_STREAM = "主码流",
	SUB_STREAM = "子码流",
	SNAP_STREAM = "Motion-JPEG码流",
	ENCODER_SET = "编码参数设置",

	JPEG_SNAP_TYPE = "MJPEG画面设定: ",
	SNAP_PREVIEW = "仅用于预览的小画面 (且只有5fps)",
	SNAP_MAIN = "和H.264主码流画面相同",
	SNAP_SUB = "和H.264子码流画面相同",
	
	KMP_ORDERING = "KMP服务中占用第1个通道: ",
	KMP_ORDERING_NOTE = "（考虑与老产品的兼容性原因，选择“是”表示强制让JPEG码流在KMP服务中，占用第1个通道）",
	
	QUALITY = "画面质量: ",
	QUALITY_NOTE = "（范围1-99，值越大，编码画面质量更好）",
		
	YES = "是",
	NO = "否",

	SUBMIT = "保存",
	RETURN = "返回",

	MSG_SUCCESS = "成功",
	MSG_SAVE_DONE = "保存编码设置成功。",

	MSG_FAIL = "失败",
	MSG_SAVE_FAIL = "保存编码设置失败。",

	DIALOG_OK = "确定",
	DIALOG_CANCEL = "取消",

	ERRMSG_INVALID_POST_ARGS = "无效的请求参数",
	INVALID_ENCODERSET_PARAM = "错误：您正在请求操作一个无效的编码流",

	SCALE = "缩放: ",
	SCALE_DEFAULT = "默认大小",
	PROFILE = "档次(Profile): ",
	BR_CTRL = "码率控制方式: ",
	CBR = "CBR-恒定码率模式",
	VBR = "VBR-动态码率模式",

	BITRATE = "编码码率: ",
	BITRATE_CUSTOM = "自定义码率",

	FRAMERATE = "编码帧率: ",
	FRAME_FULL = "全帧率(与原始视频一致)",
	FRAME_HALF = "当原始视频帧率>=50时自动减半",
	FRAME_CUSTOM = "自定义帧率",

	GOP_SIZE = "GOP大小(I帧间隔): ",
	GOP_1 = "1 - 全部为I帧",
	GOP_30 = "30 - 每30幅画面产生I帧",
	GOP_60 = "60 - 每60幅画面产生I帧",
	GOP_90 = "90 - 每90幅画面产生I帧",
	GOP_120 = "120 - 每120幅画面产生I帧",
	GOP_CUSTOM = "自定义GOP大小",

	REF_FRAMES = "编码参考帧: ",
	REF_SINGLE = "单一参考帧",
	REF_MULTI = "多参考帧",
	REF_NOTES = "(使用多参考帧可以提高编码质量，但某些解码器可能不支持）",

	COLOR = "色彩: ",
	WITH_COLOR = "彩色",
	CHROME = "灰度",

	DYNAMIC_BITRATE = "动态码率调节: ",
	NO_DYNAMIC_BITRATE = "关闭",
	ENABLE_DYNAMIC_BITRATE = "根据网络带宽自动调节码率",

	REDUCE_FRAMERATE = "动态帧率: ",
	NO_REDUCE_FRAMERATE = "关闭",
	ENABLE_REDUCE_FRAMERATE = "当码率偏低时，自动降低帧率",
	QP_MIN = "QP最小值",
	QP_MAX = "QP最大值",
}
