return {
	TITLE = "视频裁切/前级缩放/旋转/镜像设定",
	TITLE_E1S = "视频裁切/旋转/镜像设定",
	SUBMIT = "设置",
	RETURN = "返回",
	ERRMSG_INVALID_POST_ARGS = "无效的提交参数",
	MSG_SAVE_DONE = "保存参数成功",
	MSG_SAVE_FAIL = "保存参数失败",
	MSG_SUCCESS = "成功",
	DIALOG_OK = "确定",
	MSG_FAIL = "失败",
	
	SOURCE_CROP = "视频源图像裁切: ",
	DISABLE_CROP = "不裁切",
	ENABLE_CROP = "开启裁切",
	CROP_X = "左上角开始裁切点－Left: ",
	CROP_Y = "左上角开始裁切点－Top: ",
	CROP_W = "裁切宽度 - Width: ",
	CROP_H = "裁切高度 - Height: ",
	PIXELS = "像素点",
	
	SPEC_FORMAT = "缩放到特定格式: ",
	SPEC_MODE = "缩放处理方式: ",
	
	FORMAT_DEFAULT = "与输入格式一致（关闭缩放）",
	
	SCALE_P2P = "居中",
	SCALE_FIT = "自适应并维持纵横比",
	SCALE_STRETCH = "拉伸至全屏",
	SCALE_DEFAULT = "默认",
	
	OUT_CROP = "后级裁切: ",
	OUT_CROP_E1S = "视频裁切: ",
	
	ROTATE = "画面旋转/翻转: ",
	DISABLE_ROTATE = "默认(不旋转/不翻转)",
	DEGREE = "度",
	MIRROR = "水平镜像",
	FLIP = "垂直翻转",
	
	PRE_PROC_TITLE = "视频在进入编码前的前置处理",
	PRE_PROC_NOTE_E1S = [[
			<b>视频从输入端口采集、送入编码算法进行编码前，我们可以对它进行一些必要的前置处理。这包括：</b> <br /><br />
			<b>(1) 视频源图像裁切：</b>将原始视频裁剪其中的一部分送入编码。<br />
			<b>(2) 旋转或镜像：</b>这是进入编码前的最后一步，您可以对视频进行90度/180度/270度旋转，或水平镜像/垂直翻转。<br />
	]],
	PRE_PROC_NOTE = [[
		<b>视频从输入端口采集、送入编码算法进行编码前，我们可以对它进行一些必要的前置处理。这包括：</b> <br /><br />
		<b>(1) 视频源图像裁切：</b>将原始视频裁剪其中的一部分送入编码。<br />
		<b>(2) 视频缩放到特定格式：</b>经过第(1)步的裁剪（或不裁剪）后的视频，可以放大/缩小到您想要的特定格式。<i>(例如您输入的视频是1080p60, 而缩小到720p30进行编码)</i><br />
		<b>(3) 后级裁切：</b>经过第(2)步的视频，您可以进一步进行裁切想要的大小以进行编码。<i>(这与(1)有相同之处，但在具体应用中也有必要之处。请脑洞大开。)</i><br />
		<b>(4) 旋转或镜像：</b>这是进入编码前的最后一步，您可以对视频进行90度/180度/270度旋转，或水平镜像/垂直翻转。<br /><br />
	<b>以上过程，是一个自(1)到(4)的管道。每一个环节，您可以选择打开，或者禁止该项处理。</b>
	]],
	
	NO_SRC_CROP = [[ 当前设备不支持源视频裁切功能。只有“高级版“/“专业版”的设备才具有该能力。 ]],
	NO_SPEC_OUT = [[ 当前设备不支持特定缩放功能。只有“高级版“/“专业版”的设备才具有该能力。 ]],
}