return {
	TITLE = "Overlay Image Management",
	REMOVE_IMAGE_TITLE = "Remove this image",
	REMOVE_IMAGE_MSG = "Are you sure to remove current image?",
	DIALOG_REMOVE = "Remove",
	DIALOG_CANCEL = "Cancel",
	DIALOG_OK = "OK",
	UPLOAD_IMAGE = "Upload an overlay image (JPEG or PNG)",
	ADD_IMAGE_TITLE = "Upload image:",
	NAME = "Image ID(*MUST):",
	FILE = "Upload file:",
	ADD = "Add",
	IMAGE_ID_NOTE = "Please note: when overlaying images, use the entered 'Image ID' instead of the file name to identify the picture. Therefore, you must enter an easily recognizable 'Image ID' and do not duplicate the name.The image resolution needs to be less than or equal to 1920 * 1080px.",

	IMAGE_LIST = "Image list",
	REFRESH = "Refresh",

	NO_IMAGES = "No images",

	SIZE = "Overlay size:",
	DEFAULT_SIZE = "(Orignal size)",
	RESIZE = "Convert...",
	SIZE_W = "Width (Pixels):",
	SIZE_H = "Height (Lines):",
	PNG_ALPHA = "PNG Transparent Threshold:",
	PNG_ALPHA_TIPS = "PNG transparent threshold: If the original PNG transparent level less than the threshold value, overlay that area as full transparent. Set a reasonable value can make the image border be smooth.",
	SIZE_TIPS = "Image size: If width/height set to 0, it will overlay the image as original size.",

	ALPHA = "Alpha blending:",
	NO_ALPHA = "(Not set)",
	CHANGE_ALPHA = "Set alpha...",
	ALPHA_TIPS = "Value range is 0-255, 0 is full transparent and 255 is no alpha blending.",

	TRANSPARENT = "Transparent color index:",
	TRANSPARENT_TIPS = "Transparent color index: Manually specify an index color to erase background. Set tolerance (0%~100%) to control the similar color range selection.",
	TRANSPARENT_INDEX = "Transparent color index:",
	SEL_TRANSPARENT = "Pick color...",
	CLEAR_TRANSPARENT = "Reset",
	NO_TRANSPARENT = "(No transparent color key)",

	TRANSPARENT_MODE = "Transparent mode:",
	TRANSPARENT_REPLACE = "Replace color",
	TRANSPARENT_FLOODFILL = "Floodfill color",
	TRANSPARENT_FUZZ = "Tolerance:",

	IMAGE_TYPE = "Image type",
	IMAGE_ID = "Image ID", 
	IMAGE_ORIG_SIZE = "Original size",

	ERRMSG_INVALID_ARGUMENT = "Invalid image ID or image file!",
	MSG_ADD_DONE = "Add image successfully.",
	MSG_UNKNOWN_ERROR = "Unknown error",
	MSG_ADD_FAIL = "Add image fail!",

	MSG_REMOVE_DONE = "Remove done.",
	MSG_REMOVE_FAIL = "Remove fail!",

	MSG_RESIZE_DONE = "Image converted!",
	MSG_RESIZE_FAIL = "Convert image fail!",

	MSG_SET_ALPHA_DONE = "Set alpha blending done!",
	MSG_SET_ALPHA_FAIL = "Set alpha blending fail!",

	INVALID_ID = "Invalid image ID",
	INVALID_ID_MSG = "You must specify a valid image ID!",
	USED_IMAGE_ID = "The picture being overlayed! Cannot delete!",
	INVALID_SPECIAL_ID_MSG = "Filename is not allowed to contain special characters and spaces!",
	UPLOAD_IMAGE_ERROR = "The image resolution needs to be less than or equal to 1920 * 1080px",
}
