--Language packet of streamlist.
return {
	ENCODING_STREAM = "Encoding and Stream",
	MAIN_STREAM = "H.264 Main Stream",
	SUB_STREAM = "H.264 Sub Stream",
	SNAP_STREAM = "Motion JPEG Snapping",
	ENCODER_SET = "Encoder parameters",
	DISAUD_ON = "Global disable video: ON",
    DISAUD_OFF = "Global disable video: OFF",

	VIDEO = "Video: ",
	AUDIO_BUNDLE = "Audio engine bundle: ",
	AUDIO_CHANNEL_NAMES = {
		[-1] = "(NONE)",
		[0] = "(NONE)",
		[1] = "Channel 1",
		[2] = "Channel 2",
		[3] = "Channel 3",
		[4] = "Channel 4"
	},
	CHANGE_BUNDLE = "Change...",
	AUDIO_CODEC = "Audio Codec: ",
	AUDIO_CHANNELS = {
		[0] = "None",
		[1] = "Mono",
		[2] = "Stereo"
	},
	
	CHANGE_BUNDLE_TITLE = "Change the audio encoding channel bundle",
	CHANGE_BUNDLE_TIP = "WARNING: All streaming services should force RESET after you changed the audio channel! Please ensure this!",

	SCALING_SIZE = "Scaling size: ",
	SCALING_DEFAULT = "Default",
	VIDEO_ACT_BITRATE = "Instant bitrate: ",
	VIDEO_ACT_FRAMERATE = "Instant frame rate: ",
	AUDIO_ACT_BITRATE = "Bitrate: ",
	AUDIO_ACT_SAMPLING = "Actual sampling: ",
	NONE = "NONE",

	RTSP_SERVICE = "RTSP",
	RTSP_PERSIS = "RTSP always start",
	RTSP_URL = "Access by: ",
	RTSP_MULTICAST_URL = "Multicast access (if enabled): ",
	SRT_SERVICE = "SRT-TS pushing",
	RTP_SERVICE = "RTP pushing",
	SRT_PERSIS = "SRT-TS always start",
	SRT_URL = "Access by: ",
	SRT_MULTICAST_URL = "Multicast access (if enabled): ",
	
	ONLINE = "ON",
	OFFLINE = "OFF",
	ERROR = "ERROR",

	SET = "Setting",

	SPROXY_SERVICE = "Sproxy Pushing",
	
	START = "Start",
	STOP = "Stop",

	SERVICE_STOP_NOTICE = [[(Manual disabled or no publish point, service stopped.)]],

	KPULL_SERVICE = "KMP Media Service",
	RTMP_PUSH_SERVICE = "RTMP Pushing",
	TS_PUSHING = "TS-UDP Pushing",
	HLS_SERVICE = "HLS Service",
	JUNSHI = "JUNS(VGEMV) Platform",

	SUBSTREAM_CLOSED_NOTICE = [[Sub stream is disabled. Click "Multiple stream control" icon at right-top corner to enable/disable it.]],
	DISABLED = "Disabled",
	CUSTOM = "Customized",
	REFRESH = "Refresh",

	SERVICE_ERROR_NOTICE = "SYSTEM ERROR: Could not get service status",
	NO_OPERATION = "(No operations)",
	PUB_POINT = "Publish point: ",
	PUB_POINT_EMPTY = "(EMPTY)",
	
	ENCODE_MODE_SET_TITLE = "Multiple stream control",

	ENCODE_MODE = "Mode: ",
	ENCODE_MAIN = "Single",
	ENCODE_MAIN_SUB = "Main + Sub",
	ENCODE_MAIN_SUB_SNAP = "Main + Sub + JPEG(Snap)",
	ENCODE_MAIN_SNAP = "Main+JPEG(Snap)",

	MSG_SUCCESS = "Set DONE.",
	MSG_FAIL = "Set FAIL!",

	DIALOG_OK = "OK",
	DIALOG_CANCEL = "Cancel",
	
	ERROR_INVALID_STREAM_MODE = "Invalid multi-stream mode, please try other setting.",

	STREAM_CONFIG = "Mutli-stream control...",
	ADD_STREAM = "Add a stream...",
	
	ADD_STREAM_TITLE = "Add a stream service",
	REMOVE_STREAM_TITLE = "Remove this stream service",
	REMOVE_STREAM_MSG = "Are you sure to remove this stream service?",
	STREAM_TYPE = "Stream service: ",
	
	SUPPORT_SERVICE_TYPES = "",
	
	MSG_GETCONFIG_ERROR = "Unable to get service parameters, operation fail!",
	MSG_HLS_GETCONFIG_ERROR = "Create two HLS stream services at most, operation failed!",
	MSG_ADDSTREAM_DONE = "Add stream service DONE. Please configure it now.",
	MSG_STREAM_FULL = "Max 8 dynamic stream services supported, now all are used!",
	MSG_INVALID_ARGS = "Invalid request arguments",
	MSG_REMOVESTREAM_DONE = "Delete stream service DONE.",
	DELETE = "Delete stream service",	

	START_RECORD = "Start Record",
	STOP_RECORD = "Stop Record",

	UNKNOWN = "Unknown",
	SYS_ERROR = "System Error",

	RECORDING = "Recording",
	STARTING = "Starting record...",
	STOPPED = "Stopped",
	STOPPING = "Stopping...",
	
	UNKNOWN_DISK_TYPE = "Unknown Disk Type",
	DISK_TYPE_SDMMC = "SD/MMC",
	DISK_TYPE_USB = "USB Storage",
	DISK_TYPE_NAS = "NAS Storage",	
	FILE_COUNT = "Files",
	SIZE = "Total Size",
	TIMELEN = "Times",
	
	RECORD_ERRORS = {
		["error"] = "ERROR",
		["error:start:nodisk"] = "No valid disk",
		["error:start:nospace"] = "Isufficient disk space",
		["error:recording:nospace"] = "No disk space so stopped",
		["error:start:not-start"] = "Stream is not started",
		["error:start:not-exist"] = "Invalid stream",
		["error:start:no-source"] = "Invalid media source",
		["error:start:start-fail"] = "Fail to start",
		["error:status-error:update-record"] = "Update error"
	},

	RECORD_SERVICE = "Record",
	RECORD_STATUS = "Recording status",
	RECORD_SET = "Record Settings",

	RECORD_TO = "TO",
	RECORD_FORMAT = "FORMAT",

	MEDIA_USERS = "Management the media users",
}
