return {
	TITLE = "録画設定",
	INVALID_RECORDSET_PARAM = "パラメータが正しくありません",
	MAIN_STREAM = "メインストリーム",
	SUB_STREAM = "サブストリーム",

	ABOUT_RECORDSET_TITLE = "録画について",
	RECORDSET_ABSTRACT = "録画に関する設定を行います",
	RECORDSET_COMMENT = "<b>録画フォーマットのデフォルトは'TS'です。</b>MP4やAVIフォーマットで録画中にUSBストレージやSDカードを抜かれた場合にデータが消失してしまう事がありますが、TSフォーマットの場合これを回避できる可能性があります。<br/><br/>NTFSファイルシステムをサポートしますが、CPUの処理が重くなり他の配信処理に影響が出るため、使用は推奨しません。NTFSファイルシステムを使用する場合はビットレートを8Mbps以下に設定してください。<br/><br/> 録画設定の変更は次回の録画開始時に反映されます。",

	SAVE_SET = "保存",
	RESET_DEFAULT = "リセット",

	ERRMSG_INVALID_POST_ARGS = "エラー：設定内容が正しくありません",

	MSG_SAVE_DONE = "設定を保存しました",
	MSG_SAVE_FAIL = "エラー：設定の保存に失敗しました",

	AUTO_RECORD = "挿入時自動録画：",
	SIGNAL_RECORD = "(Signal Locked) Auto record:",
	ENABLED = "使用する",
	DISABLED = "使用しない",

	DISK_TYPE = "録画デバイス選択：",
	
	FIRST_DISK = "最初に接続されたデバイス",
	LARGEST_DISK = "容量最大のデバイス",
	MARK_DISK = "指定されたデバイス",
	USB_FIRST_DISK = "最初に接続されたUSBドライブ",
	USB_DISK = "容量最大のUSBドライブ",
	USB_MARK_DISK = "指定されたUSBドライブ",
	SDMMC_FIRST_DISK = "最初に挿入されたSDカード",
	SDMMC_DISK = "容量最大のSDカード",
	SDMMC_MARK_DISK = "指定されたSDカード",
	NAS_FIRST_DISK = "最初に接続されたNAS",
	NAS_DISK = "容量最大のNAS",
	NAS_MARK_DISK = "指定されたNAS",

	FIRST_DISK_MEMO = "デバイスの種類に依存せず最初に接続されたデバイスに録画する。",
	LARGEST_DISK_MEMO = "デバイスの種類に依存せず容量が最大のデバイスに録画する。",
	MARK_DISK_MEMO = "'RECORD_HERE'または'RECORD_HERE.txt'という名前のファイルがあるデバイスに録画する。",
	USB_FIRST_DISK_MEMO = "最初に接続されたUSBドライブに録画する。",
	USB_DISK_MEMO = "容量最大のUSBドライブに録画する。",
	USB_MARK_DISK_MEMO = "'RECORD_HERE'または'RECORD_HERE.txt'という名前のファイルがあるUSBドライブに録画する。",
	SDMMC_FIRST_DISK_MEMO = "最初に挿入されたSDカードに録画する。",
	SDMMC_DISK_MEMO = "容量最大のSDカードに録画する。",
	SDMMC_MARK_DISK_MEMO = "'RECORD_HERE'または'RECORD_HERE.txt'という名前のファイルがあるSDカードに録画する。",
	NAS_FIRST_DISK_MEMO = "最初に接続されたNASに録画する。",
	NAS_DISK_MEMO = "容量最大のNASに録画する。",
	NAS_MARK_DISK_MEMO = "'RECORD_HERE'または'RECORD_HERE.txt'という名前のファイルがあるNASに録画する。",

	RECORD_FORMAT = "録画ファイル形式：",
	TS_FORMAT = ".ts",
	MP4_FORMAT = ".mp4",
	MOV_FORMAT = ".mov",
	MKV_FORMAT = ".mkv",
	AVI_FORMAT = ".avi",
	
	LIMIT_TYPE = "ファイルの分割保存：",
	SIZE_LOOP = "ファイルサイズを指定、繰り返し複数ファイルに分割保存",
	TIME_LOOP = "録画時間を指定、繰り返し複数ファイルに分割保存",
	SIZE = "ファイルサイズを指定、単一ファイルに保存",
	TIME = "録画時間を指定、単一ファイルに保存",
	NONE_LIMIT = "指定なし",

	LIMIT_SIZE = "ファイルサイズの指定：",
	LIMIT_TIME = "録画時間の指定：",

	SECONDS = " 秒",

	DISK_POLICY = "上書き：",
	OVERWRITE = "空き容量が無くなった場合に、古いファイルに上書きする",
	FULL_STOP = "空き容量が無くなった場合に、録画を停止する",

	FILE_PREFIX = "ファイルプレフィックス",
	SIGNAL_AUTO_UPLOAD = "(FTP)自動アップロード:",
	SIGNAL_UPLOAD_TIME = "(FTP)アップロード時間:",
	SIGNAL_HOST = "アップロードアドレス:",
	SIGNAL_PATH = "アップロードパス:",
	SIGNAL_USER = "(FTP)アカウント:",
	SIGNAL_PASSWORD = "(FTP)パスワード:",
	SIGNAL_UPLOAD = "保存してアップロード",
	MSG_SAVE_UPLOAD_DONE = "アップロードに成功しました",
	MSG_UPLOAD_FAIL = "エラー：アップロードに失敗しました",
	TIP_UPLOAD_MSG ="アップロードをクリックしたら、アップロードが完了するまで待ってください。",
	SIGNAL_HOUR = "時:",
	SIGNAL_MINUTE = "分:",
	SIGNAL_TIMING_PERIOD = "タイミングサイクル:",
	SIGNAL_TIMING_DAY = "毎日",
}
