--Language packet of wifi.
return {
	INVALID_WIFI_OBJ = "ERROR: You are requiring a invalid WIFI object",
	INTERNAL_ERROR = "Internal Error: Fail to get WIFI device information",
	SAVED_CONNECTIONS = "Saved connections",
	UNKNOWN = "Unknown",	
	CURRENT_CONNECTION_MARK = "(Current)",
	WIFI_OPEN = "Open",
	WIFI_WEP = "WEP",
	WIFI_ADHOC_PSK = "AdHoc WPA-PSK",
	WIFI_WPA_PSK = "WPA-PSK",
	WIFI_WPA_EAP = "WPA-EAP",
	WIFI_UNKNOWN_SEC = "Unknown secrets",
	INVALID_WIFI_SEC = "Invalid WIFI secrets",
	DHCP_ADDRESS_SOLV = "DHCP dynamic address",	
	MANUAL_ADDRESS_SOLV = "Manual address set",

	CONFIG = "Configure",
	FORGET = "Forget",
	CONNECT_THIS = "Connect to this",
	DISCONN_THIS = "Disconnect",

	NO_SAVED_CONNECTIONS = "(No saved connection)",

	REFRESH = "Refresh",
	MANUAL_ADD_CONNECTION = "Add a special WIFI connection...",

	WIFI_SCANLIST = "WIFI scanning list",
	CONNECT = "Connect",

	NO_WIFI_SCANLIST = "(No WIFI scanned)",
	ERRMSG_INVALID_CONNECTION = "Invalid WIFI Connection",
	MSG_DELCONN_DONE = "Forgot (deleted) this connection.",
	ERRMSG_DELCONN_FAIL = "Cannot forget (delete) this connection!",
	MSG_CON_DONE = "Done. Now is trying to connect this WIFI AP.",
	ERRMSG_CON_FAIL = "Error. Can't connect to special WIFI AP!",

	MSG_DCON_DONE = "Disconnected",
	ERRMSG_DCON_FAIL = "Cannot disconnect current connection",

	MSG_SUCCESS = "Success",
	MSG_FAIL = "Fail",
	DIALOG_OK = "OK",
	DIALOG_CANCEL = "Cancel",

	NOSAFE = "No safe",
	
	ERRMSG_INVALID_POST_ARGS = "Invalid post arguments!",
	MSG_SAVE_DONE = "Set DONE.",
	MSG_SAVE_FAIL = "Set FAIL!",
	SUBMIT = "SET",
	
	WIFI_SPEC_SET = "Advanced WIFI Settings",
	DOMAIN_CODE = "Country/Domain/Standard: ",
    CODE_FCC = "FCC Standard",
    CODE_IC = "IC Standard",
    CODE_ETSI = "ETSI Standard",
    CODE_SPAIN = "Spain",
    CODE_FRANCE = "France",
    CODE_MKK = "MKK Standard",
    CODE_MKK1 = "MKK1 Standard",
    CODE_ISRAEL = "Israel",
    CODE_TELEC = "TELEC Standard",
    CODE_GLOBAL_DOAMIN = "Global Domain(2.4G)",
    CODE_WORLD_WIDE_13 = "World Wide(2.4G with channel 13)",
    CODE_TAIWAN = "Taiwan",
    CODE_CHINA = "China",
    CODE_SINGAPORE_INDIA_MEXICO = "Singapore/India/Mexico",
    CODE_KOREA = "Korea",
    CODE_TURKEY = "Turkey",
    CODE_JAPAN = "Japan",
    CODE_FCC_NO_DFS = "FCC Standard without DFS",
    CODE_JAPAN_NO_DFS = "Japan without DFS",
    CODE_WORLD_WIDE_5G = "World Wide 2.4G/5.8G",
    CODE_TAIWAN_NO_DFS = "Taiwan without DFS",	

	ROAMING = "WIFI Roaming:",
	ENABLE = "Enable",
	DISABLE = "Disable",

	RSSI_THRES = "RSSI difference threshold: ",
	RSSI_THRES_TAIL = " (When the access points with same name but RSSI difference large than this value, auto associcate the best one)",

	SCAN_INTV = "Scanning interval: ",
	SECONDS = "Seconds",

	SCAN_NOTE = "<b>NOTE</b>: DON'T scan too fast because WiFi scanning should break the transfer temporarily! Simultaneously, suggest you select the correct 'Country/Domain/Standard' option, so the scanning will only process specified channels to save the breaking time."
}
