--Language packet of dashboard.
return {
	DAY = "일",
	HOUR = "시",
	MINUTE = "분",
	SECOND = "초",
	SYSTEM_STATUS = "시스템 작동 상태",
	REFRESH = "새로고침",
	SYSTEM = "시스템",
	START_TIME = "장치 시작 시간: ",
	PERSIS_TIME = "장치 작동 시간: ",
	SYSDISK = "시스템 저장 공간: ",
	DATADISK = "응용 프로그램 및 데이터 저장 공간: ",
	USABLE = "사용 가능",
	USED = "사용된",

	UNLOCK = "신호 없음",
	LOCK = "잠김",
	FREERUN = "신호 없음 (블루 스크린 출력)",
	
	CLIENTS = "클라이언트 연결 수: ",
	CPU_PAYLOAD = "프로세서 로드: ",
	FREE_MEM = "사용 가능한 메모리: ",
	VIDEO_AUDIO_SIGNAL = "비디오 및 오디오 소스 상태",
	VIDEO_LOCK = "비디오 신호 잠금: ",
	VIDEO_FORMAT = "비디오 형식: ",
	AUDIO_SAMPLING = "오디오 샘플링 속도: ",
	OFFLINE = "오프라인",
	RTP_PUSH = "RTP 푸쉬: ",
	RTMP_PUSH = "RTMP 푸쉬: ",
	PLATFORM_RTMP = "RTMP",
	PLATFORM_JUNSHI = "VEGMA",
	VIDEO_SIGNAL = "비디오 신호: ",
	AUDIO_SIGNAL = "오디오 신호: ",

	HDMI_INPUT = "HDMI",
	SDI_INPUT = "SDI",
	VGA_INPUT = "VGA",
	YPBPR_INPUT = "YPbPr",
	CVBS_INPUT = "CVBS",
	UNKNOWN_INPUT = "알 수 없는 입력",
	MIC_INPUT = "마이크 입력",
	LINE_INPUT = "아날로그 라인 입력",
	AES_INPUT = "AES 입력",

	SELECT_VIDEO_SOURCE = "소스 선택...",
	SELECT_AUDIO_SOURCE = "소스 선택...",

	ENCODING_STATUS = "인코딩 상태",
	MAIN_STREAM = "메인 스트림:",
	V_ENCODED_BYTES = "인코딩 된 비디오 데이터 양: ",
	V_ENCODED_FRAMES = "인코딩 된 비디오 프레임: ",
	V_ENCODED_BITRATE = "비디오 실시간 인코딩 비트레이트: ",
	V_ENCODED_FRAMERATE = "비디오 실시간 인코딩 프레임 속도: ",
	A_ENCODED_BYTES = "인코딩 된 오디오 데이터 양: ",
	A_ENCODED_BITRATE = "오디오 실시간 인코딩 비트레이트: ",
	FRAME = "프레임",
	VCAP_ERRORS = "비디오 캡처 오류: ",
	ACAP_ERRORS = "오디오 캡처 오류: ",
	VENC_ERRORS = "비디오 인코딩 오류: ",
	AENC_ERRORS = "오디오 인코딩 오류: ",
	SET_ENCODING = "인코딩 매개 변수를 설정하십시오...",

	NETWORK_STATUS = "네트워크 연결 상태",
	NETWORK_MANAGE = "네트워크 관리...",
	NETWORK = "연결 상태: ",
	NETWORK_CONNECTIVITY = "Internet연결됨: ",

	NM_STATE = {
		[0] = "알 수 없음",
		[10] = "비활성화",
		[20] = "분리",
		[30] = "연결 해제...",
		[40] = "연결...",
		[50] = "로컬 네트워크에 연결",
		[60] = "로컬 사이트에 연결",
		[70] = "Internet 연결",
	},

	NM_CONNECTIVITY = {
		[0] = "알 수 없음",
		[1] = "연결되지 않음",
		[2] = "포털을 통한 확인 필요",
		[3] = "제한（로컬 네트워크만）",
		[4] = "Internet"
	},

	NET_STATUS = {
		["idle"] = "알 수 없음",
		["sys-error"] = "시스템 오류",
		["checking"] = "체크중",
		["gateway-unreachable"] = "게이트웨이 오류",
		["dns-resolve-error"] = "DNS 도메인 네임 오류",
		["internet-ready"] = "Internet연결",
		["aborted"] = "검사 중지"
	},
	
	SOURCE_CROP = "입력 자르기： ",
	SPEC_OUT = "인코딩 전 특정 해상도로 변경： ",
	OUT_CROP = "출력 자르기： ",
	RMF = "화면 회전/반전： ",
	CLICK_TO_SET_SPECIAL = "위의 비디오 고급 설정을 위해 여기를 클릭하십시오...",
	NOT_CORRECT_VGA_FORMAT = "이 형식이 올바르지 않습니까?",
	NO_CROP = "자르기 없음/전체화면",
	ASPECT = "종횡비 유지",
	P2P = "중앙",
	PADDING = "패딩",
	SCALE = "크기",
	NO_SPEC = "설정되지 않음/기본",
	BYDEFAULT = "자동맞추기",
	
	MIRROR = "수평반전",
	FLIP = "수직반전",
	ROTATE = "회전",
	DEGREE = "각도",
	NO_ROTATE = "노멀/플립",
	BEFORE_LOSS = "신호손실 전",

	TOTAL_CONN = "총 연결",
	CONNECTION = "연결",

	DETECT = "추적",
	DETECT_AGAIN = "재추척",
	PING = "Ping",
	PING_TARGET = "Ping주소",
	REACHABLE = "연결성",
	REACH = "도달 가능",
	UNREACH = "도달 불가능",
	LOSS_RATE = "패킷 손실율",
	
	TRACEROUTE = "Traceroute",
	TRACEROUTESTART = "Start",
	TRACEROUTESTOP = "Stop",
}
