return {
	TITLE = "SIP Endpoint 설정",
	ABOUT_SIP_TITLE = "SIP Endpoint 정보",
	SIP_ABSTRACT = "SIP Endpoint는 현재 장치가 SIP(RFC3261) 프로토콜을 통해 지정된 SIP 서버에 등록하고, SIP 호출 및 SIP 수신을 통해 VoIP 통신을 구현할 수 있게 합니다.",
	SIP_COMMENT = "이 페이지에서 SIP 엔드 포인트 계정, 등록 된 서버 주소 / 포트, 등록된 사용자 이름 / 암호 등과 같은 설정값을 구성하십시오. SIP 호출 동작을 구성하려면 <a href='#' onclick=\"ShowPage('streamlist');return false;\">인코딩 및 스트림 설정</a>에서 “SIP” 미디어 서비스 유형 추가 및 설정값 구성 ",


	SIP_ENABLE = "SIP Endpoint 열기:",
	ENABLED = "열기",
	DISABLED = "닫기",

	LOCAL_ACCOUNT = "SIP 계정:",
	LOCAL_PORT = "로컬 SIP 서비스 포트:",

	SERVER = "Proxy 서버:",
	SERVER_PORT = "서버 포트:",
	REALM = "서버 영역:",

	USERNAME = "사용자 이름:",
	PASSWORD = "패스워드:",

	SAVE_SET = "저장",
	RESET_DEFAULT = "기본값 복원",
	ERRMSG_INVALID_POST_ARGS = "오류：잘못된 설정값！",
	
	MSG_SAVE_DONE = "설정이 저장되었습니다.",
	MSG_SAVE_FAIL = "오류：설정을 저장하지 못했습니다！",
}

