return {
	TITLE = "비디오 크롭/줌/회전/미러 설정",
	TITLE_E1S = "비디오 크롭/회전/미러 설정",
	SUBMIT = "설정",
	RETURN = "돌아 가기",
	ERRMSG_INVALID_POST_ARGS = "잘못된 설정값",
	MSG_SAVE_DONE = "설정값 저장",
	MSG_SAVE_FAIL = "설정을 저장하지 못했습니다",
	MSG_SUCCESS = "성공",
	DIALOG_OK = "확인",
	MSG_FAIL = "실패",
	
	SOURCE_CROP = "비디오 소스 크롭: ",
	DISABLE_CROP = "크롭 불가능",
	ENABLE_CROP = "크롭 가능",
	CROP_X = "Left: ",
	CROP_Y = "Top: ",
	CROP_W = "Width: ",
	CROP_H = "Height: ",
	PIXELS = "픽셀",
	
	SPEC_FORMAT = "특정 포맷으로 확대: ",
	SPEC_MODE = "확대 모드: ",
	
	FORMAT_DEFAULT = "입력 형식과 일치（확대/축소）",
	
	SCALE_P2P = "중심",
	SCALE_FIT = "종횡비 조정 및 유지",
	SCALE_STRETCH = "전체화면으로 늘리기",
	SCALE_DEFAULT = "기본",
	
	OUT_CROP = "아웃 크롭: ",
	OUT_CROP_E1S = "아웃 크롭: ",
	
	ROTATE = "화면 회전/뒤집기: ",
	DISABLE_ROTATE = "기본값(회전 없음/뒤집기 없음)",
	DEGREE = "각도",
	MIRROR = "수평 미러",
	FLIP = "수직 뒤집기",
	
	PRE_PROC_TITLE = "인코딩 전 비디오 처리",
	PRE_PROC_NOTE_E1S = [[
			<b>입력 포트에 들어온 비디오 신호를 인코딩을 위해 인코딩 알고리즘으로 전송하기 전에 필요한 사전 처리를 수행 할 수 있습니다. 다음이 포함됩니다. ：</b> <br /><br />
			<b>(1) 포스트 레벨 자르기：</b>원본 비디오의 일부를 자릅니다.<br />
			<b>(2) 회전 또는 미러링：</b>인코딩 전 마지막 단계로, 비디오를 90도 / 180도 / 270도 회전 시키거나 수평으로 거울 / 수직 뒤집을 수 있습니다. <br />
	]],

	PRE_PROC_NOTE = [[
		<b>입력 포트에 들어온 비디오 신호를 인코딩을 위해 인코딩 알고리즘으로 전송하기 전에 필요한 사전 처리를 수행 할 수 있습니다. 다음이 포함됩니다. ：</b> <br /><br />
		<b>(1) 비디오 소스 이미지 자르기 ：</b>원본 비디오의 일부를 자릅니다.<br />
		<b>(2) 비디오를 특정 형식으로 확대：</b>1단계 자르기 (또는 자르지 않음) 후에 비디오를 원하는 포맷으로 확대 / 축소 할 수 있습니다. <i>(예 : 입력된 1080p60 비디오를 인코딩시 720p30로 줄입니다)</i><br />
		<b>(3) 포스트 레벨 자르기：</b>(2)단계에서 얻은 영상을 다시 한번 자를 수 있습니다.<i>((1)과 동일하지만 특정 응용 프로그램에서 사용합니다.</i><br />
		<b>(4) 회전 또는 미러링：</b>인코딩 전 마지막 단계로, 비디오를 90도 / 180도 / 270도 회전 시키거나 수평으로 거울 / 수직 뒤집을 수 있습니다. <br /><br />
	<b>위 (1)에서 (4)까지의 프로세스는 파이프 라인입니다. 각 링크에 대해 처리를 열거나 금지하도록 선택할 수 있습니다. </b>
	]],
	
	NO_SRC_CROP = [[ 이 기기는 비디오 소스 자르기를 지원하지 않습니다. "Advanced"/ "Pro"장치만 이 기능을 지원합니다. ]],
	NO_SPEC_OUT = [[ 이 기기는 줌 기능을 지원하지 않습니다. "Advanced"/ "Pro"장치만 이 기능을 지원합니다. ]],
}