return {
	TITLE = "SIP Endpoint Settings",
	ABOUT_SIP_TITLE = "About SIP Endpoint",
	SIP_ABSTRACT = "This device can run as a SIP endpoint (RFC3261) to support VoIP functionality. After it registered to a server, it can call others / called by others to transmit video and audio.",
	SIP_COMMENT = "You can set the SIP account, proxy server/port, registry user/password, ... etc in this page. To set the SIP call parameters, you can add a 'SIP' streaming service at the <a href='#' onclick=\"ShowPage('streamlist');return false;\">Encoding and Stream Settings</a> page, then configure it.",


	SIP_ENABLE = "SIP Endpoint:",
	ENABLED = "Enable",
	DISABLED = "Disable",

	LOCAL_ACCOUNT = "SIP Account:",
	LOCAL_PORT = "Local SIP port:",

	SERVER = "Proxy Server:",
	SERVER_PORT = "Server Port:",
	REALM = "Realm:",

	USERNAME = "Registry Username:",
	PASSWORD = "Password:",

	SAVE_SET = "Save",
	RESET_DEFAULT = "Reset default",
	ERRMSG_INVALID_POST_ARGS = "ERROR: Invalid post arguments!",
	
	MSG_SAVE_DONE = "Save DONE.",
	MSG_SAVE_FAIL = "ERROR: Save fail!",
}

