------------------------------------------------
function OBJECT( _decl, _onchanged )
	local result = {
		type = "object",
		members = _decl
	}

	if nil ~= _onchanged then
		result.onChanged = _onchanged
	end

	return result
end
------------------------------------------------
function NPES_OBJECT( _decl, _onchanged )
	local result = {
		type = "object",
		noPersist = true,
		members = _decl
	}

	if nil ~= _onchanged then
		result.onChanged = _onchanged
	end

	return result
end
------------------------------------------------
function ARRAY( _instances, _decl, _onchanged )
	local result = {
		type = "array",
		instances = _instances,
		item = _decl
	}

	if nil ~= _onchanged then
		result.onChanged = _onchanged
	end

	return result
end
------------------------------------------------
function NPES_ARRAY( _instances, _decl, _onchanged )
	local result = {
		type = "array",
		noPersist = true,
		instances = _instances,
		item = _decl
	}

	if nil ~= _onchanged then
		result.onChanged = _onchanged
	end

	return result
end

------------------------------------------------
function ARRAY_SIZE( from, to )
	local x, inc
	local result = {}
	if from < to then
		inc = 1
	else
		inc = -1
	end
	for x=from,to,inc do
		table.insert( result, x )
	end
	return result
end
